# Generated by Makefile. Do not edit.

commit b3e1e60f1daf50126441b3028d10b96797dd42ab
Author: Jens Georg <jensg@openismus.com>
Date:   Wed Mar 20 12:22:52 2013 +0100

    Prepare 0.8.6

 NEWS         | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 56 insertions(+), 1 deletion(-)

commit ba785ac4a39a948ce3e86772a59fd4cdd31044eb
Author: Jens Georg <mail@jensge.org>
Date:   Wed Mar 20 12:30:01 2013 +0100

    Update POTFILES.skip

 po/POTFILES.skip | 1 +
 1 file changed, 1 insertion(+)

commit 0326458f9f8aff32bbb4e5a0a2c20fcda2d82ba5
Author: Jens Georg <mail@jensge.org>
Date:   Wed Mar 20 12:22:28 2013 +0100

    Fix Bugzilla link

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4d6ed7b36273dd6aadca0c29a60dafe3cbbb9e2
Author: Jens Georg <mail@jensge.org>
Date:   Wed Mar 20 11:05:27 2013 +0100

    av-cp: Make network port configurable

 configure.ac     |  2 +-
 src/av-cp/gui.c  |  5 +----
 src/av-cp/gui.h  |  3 +--
 src/av-cp/main.c | 29 +++++++++++++++++++++++++----
 4 files changed, 28 insertions(+), 11 deletions(-)

commit 15ce56ceaf46aa2c942b4e74ac5fe96a512b48fc
Author: Jens Georg <mail@jensge.org>
Date:   Tue Mar 19 12:40:10 2013 +0100

    data: Use stock license links

 data/gupnp-av-cp.ui.in      | 2 +-
 data/gupnp-network-light.ui | 2 +-
 data/gupnp-universal-cp.ui  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 32b511c7a073401ea586f7a5c732e567e2efc6a9
Author: Jens Georg <mail@jensge.org>
Date:   Tue Mar 19 12:36:16 2013 +0100

    data: Fix typo in av-cp ui file

 data/gupnp-av-cp.ui.in | 2 +-
 po/cs.po               | 2 +-
 po/de.po               | 4 ++--
 po/es.po               | 4 ++--
 po/ja.po               | 4 ++--
 po/pl.po               | 2 +-
 po/pt_BR.po            | 4 ++--
 po/sl.po               | 4 ++--
 po/sr.po               | 2 +-
 po/sr@latin.po         | 4 ++--
 10 files changed, 16 insertions(+), 16 deletions(-)

commit 3af319998936a6d246b10f0debb70623337a85f4
Author: Jens Georg <mail@jensge.org>
Date:   Tue Mar 19 12:35:56 2013 +0100

    data: Upgrade GtkBuilder files

 data/gupnp-av-cp.ui.in      | 18 +-------------
 data/gupnp-network-light.ui | 11 +++++----
 data/gupnp-universal-cp.ui  | 58 +++++++++++++++++++--------------------------
 3 files changed, 33 insertions(+), 54 deletions(-)

commit c45312b2ba6744a0d521c4916f2ddceb41821fa4
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Mar 18 21:13:11 2013 +0100

    Updated Czech translation

 po/cs.po | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit ddd29b37873c8d3586e9f9d8cf0aa801b866cdb6
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Mar 16 09:47:33 2013 +0100

    Updated Slovenian translation

 po/sl.po | 25 +++++++++++--------------
 1 file changed, 11 insertions(+), 14 deletions(-)

commit c3cf9b3251cd22880a4f23df72d7dc8d4066df30
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Mar 14 20:47:51 2013 +0100

    Updated Slovenian translation

 po/sl.po | 97 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 49 insertions(+), 48 deletions(-)

commit bb7f4b371ea9c1c20e8aa84f58a8284e3f797704
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Sun Mar 10 22:41:35 2013 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit b4202c6d82d0e131f34ad7a658005a011a6bae64
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Tue Mar 5 11:25:36 2013 +0100

    Added German translation

 po/LINGUAS |   1 +
 po/de.po   | 447 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 448 insertions(+)

commit 1e04e938c2892d807619a8d4fcfcc74921291265
Author: Krzesimir Nowak <qdlacz@gmail.com>
Date:   Thu Feb 28 10:36:36 2013 +0100

    Update .gitignore.

 .gitignore | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 22f974e6bad74247d1a7bd90b60f80816d196ab3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 25 12:16:46 2013 +0100

    Updated Spanish translation

 po/es.po | 30 +++++++-----------------------
 1 file changed, 7 insertions(+), 23 deletions(-)

commit 6e69a946c0962437c4cc4dfb062c4d8a2ac65c66
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Feb 20 23:07:39 2013 +0100

    Updated Polish translation

 po/pl.po | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit 4311cfba951690827de4f991b80d39c0866ce742
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Feb 20 20:21:45 2013 +0100

    Updated Serbian translation

 po/sr.po       | 30 +++++++-----------------------
 po/sr@latin.po | 30 +++++++-----------------------
 2 files changed, 14 insertions(+), 46 deletions(-)

commit 4f7c2d6bb656eb62c5fd542947536cc4798c8dc6
Author: Krzesimir Nowak <krnowak@openismus.com>
Date:   Wed Feb 20 11:45:31 2013 +0100

    Add rescan button.

 configure.ac           |  2 +-
 data/gupnp-av-cp.ui.in | 15 +++++++++++++++
 src/av-cp/gui.c        | 10 ++++++++++
 src/av-cp/gui.h        |  3 +++
 src/av-cp/main.c       | 17 +++++++++++++++++
 5 files changed, 46 insertions(+), 1 deletion(-)

commit a3920e1436c190c4124e3c7a57acbba39fa39aaf
Author: Kentaro KAZUHAMA <kazken3@gmail.com>
Date:   Sun Feb 10 01:50:46 2013 +0900

    [l10n] Add Japanese translation

 po/LINGUAS |   1 +
 po/ja.po   | 433 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 434 insertions(+)

commit 5cb391fcc516d5ecd138610b9f06cf69d1ef834e
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Jan 28 18:04:12 2013 +0100

    Czech translation

 po/cs.po | 441 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 441 insertions(+)

commit c42e0e32c145ade15db6de6c543001528324c56c
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Jan 28 18:04:05 2013 +0100

    Added Czech language

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 637d6a947efcb721d80b2c6960644404d5279ecc
Author: pasdVn <pasdVn3@gmx.de>
Date:   Mon Jan 7 18:36:48 2013 +0100

    Fixed memory leak in compare_container(...)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=691304

 src/av-cp/playlist-treeview.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f5793f095a6fdce15e18b4e17d76daa8de96705f
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:   Sat Jan 12 18:09:28 2013 +0100

    av-cp: Use single GtkSourceView include header
    
    Include gtksourceview/gtksource.h instead of individual include files
    
    Slightly modified version of the original patch
    
    Fixes bug 691614.

 configure.ac                  | 2 +-
 src/av-cp/playlist-treeview.c | 4 +---
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 91b5ec7af3f8a9136d310f889697e023a81d870b
Author: Jens Georg <mail@jensge.org>
Date:   Fri Dec 21 13:49:26 2012 +0100

    Prepare 0.8.5

 NEWS         | 24 ++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit 34a95af9920ff90ce849bddb2194ebe6f1567e53
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jan 16 13:17:10 2013 +0100

    Updated Spanish translation

 po/es.po | 377 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 333 insertions(+), 44 deletions(-)

commit 4064df03cd3472fc2c253fde82f1b51426a6fd29
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Jan 12 18:51:21 2013 +0100

    Updated Polish translation

 po/pl.po | 347 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 308 insertions(+), 39 deletions(-)

commit 0e887908204ef6f57b1d2a6ca289d27130e35250
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Jan 10 21:17:57 2013 +0100

    Updated Slovenian translation

 po/sl.po | 373 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 325 insertions(+), 48 deletions(-)

commit 5792057584dccb12dcd9097ea7f22c4fe1042138
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Wed Jan 9 11:54:52 2013 +0900

    Include missing locale.h
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690635

 src/av-cp/main.c        | 1 +
 src/universal-cp/main.c | 1 +
 2 files changed, 2 insertions(+)

commit 69f3727740937ad0307cf957b402ed5b989fa2b2
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Jan 8 20:55:25 2013 +0100

    Updated Serbian translation

 po/sr.po       | 371 ++++++++++++++++++++++++++++++++++++++++++++++++++-------
 po/sr@latin.po | 371 ++++++++++++++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 658 insertions(+), 84 deletions(-)

commit 466201e4f32da7fe0f44f9b379175dc6d6a0d4da
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Mon Jan 7 21:15:27 2013 -0200

    Updated Brazilian Portuguese Translation

 po/pt_BR.po | 351 +++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 311 insertions(+), 40 deletions(-)

commit dfe7d03f5b952b44917160f56735a2e177b6c720
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Tue Jan 8 00:04:56 2013 +0900

    universal-cp: mark messages as translatable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690635

 data/gupnp-universal-cp.ui          | 16 ++++----
 src/universal-cp/action-dialog.c    |  3 +-
 src/universal-cp/details-treeview.c | 81 +++++++++++++++++++------------------
 src/universal-cp/device-treeview.c  | 36 ++++++++++++-----
 src/universal-cp/event-treeview.c   | 11 ++---
 5 files changed, 83 insertions(+), 64 deletions(-)

commit 219788bf9a90b65fe149c168a8f5e411510706a0
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Jan 7 23:25:59 2013 +0900

    network-light: mark messages as translatable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690635

 data/gupnp-network-light.ui | 20 +++++++++++++++-----
 src/network-light/gui.c     | 18 ------------------
 2 files changed, 15 insertions(+), 23 deletions(-)

commit f4ca332679e7413e569e310c2026c2cdfb970911
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Jan 7 23:23:07 2013 +0900

    av-cp: mark messages as translatable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690635

 data/gupnp-av-cp.ui.in | 20 +++++++++++---------
 1 file changed, 11 insertions(+), 9 deletions(-)

commit 443d5911e92bfebccf8ddde933edc45628f4be74
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Jan 7 23:15:25 2013 +0900

    POTFILES.in: add gupnp-av-cp.ui.in
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690635

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 0feac14c9dec2a3e8db3f8f731cd30274d96b246
Author: Enrico Nicoletto <enriconlto@src.gnome.org>
Date:   Wed Jan 2 23:16:41 2013 -0200

    Updated Brazilian Portuguese translation

 po/LINGUAS  |   1 +
 po/pt_BR.po | 171 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 172 insertions(+)

commit fe13caab6007e59890253563b492183b355faaf5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Wed Jan 2 22:16:33 2013 +0100

    Added Serbian translation

 po/LINGUAS     |   2 +
 po/sr.po       | 175 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po | 175 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 352 insertions(+)

commit 0263b344f84a04fcd471e315cba54f56e5898f26
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Jan 2 02:46:17 2013 +0100

    Updated Polish translation

 po/pl.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 970da57368947cba48c3c3fe3b55568c6eb3a29e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Dec 29 21:58:27 2012 +0100

    Updated Slovenian translation

 po/sl.po | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 878fa275b59a64ec264f81075b613fd930281ac6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Dec 29 21:57:20 2012 +0100

    Added sl for Slovenian translation

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 978418c152f3886be14436449e8ea97f73d6de6b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Dec 29 21:57:10 2012 +0100

    Added Slovenian translation

 po/sl.po | 176 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 176 insertions(+)

commit 9aebaf9f5fa8988e7ca7bf903214ddb738d19786
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Dec 25 12:21:04 2012 +0100

    Updated Spanish translation

 po/LINGUAS |   1 +
 po/es.po   | 171 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 172 insertions(+)

commit 1e933bce4032b89689fd4155c56cfa9fc1f2e931
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Dec 23 03:23:23 2012 +0100

    Added Polish translation

 po/LINGUAS |   1 +
 po/pl.po   | 177 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 178 insertions(+)

commit b2dd0f27f26cba601e668a14cef50d907a717d65
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Dec 23 03:16:37 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit d90ffee6352619f461f329b33e1f5599b7abdc96
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Sat Dec 22 13:15:52 2012 +0900

    Update autotools for i18n support

 Makefile.am                            |  7 ++++-
 autogen.sh                             |  8 ++++--
 configure.ac                           |  4 +++
 data/Makefile.am                       |  4 +--
 data/gupnp-av-cp.desktop.in.in         |  4 +--
 data/gupnp-network-light.desktop.in.in |  4 +--
 data/gupnp-universal-cp.desktop.in.in  |  4 +--
 m4/as-ac-expand.m4                     | 49 ++++++++++++++++++++++++++++++++
 po/LINGUAS                             |  0
 po/POTFILES.in                         | 52 ++++++++++++++++++++++++++++++++++
 po/POTFILES.skip                       |  5 ++++
 11 files changed, 129 insertions(+), 12 deletions(-)

commit f054334e5f8db2309da75092d72ef759526afdcf
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Sat Dec 22 13:06:05 2012 +0900

    Initialize i18n support function

 src/av-cp/gui.c          |  1 +
 src/av-cp/main.c         | 10 ++++++++++
 src/network-light/gui.c  |  1 +
 src/network-light/main.c | 10 ++++++++++
 src/universal-cp/gui.c   |  1 +
 src/universal-cp/main.c  | 10 ++++++++++
 6 files changed, 33 insertions(+)

commit 8d1aa2437a8dcda43707f508e0e1142d9a074eb0
Author: Jens Georg <mail@jensge.org>
Date:   Fri Dec 21 13:28:41 2012 +0100

    Disable deprecation warning

 src/av-cp/main.c              | 2 ++
 src/discover/gssdp-discover.c | 2 ++
 src/universal-cp/main.c       | 2 ++
 src/upload/main.c             | 4 ++--
 4 files changed, 8 insertions(+), 2 deletions(-)

commit 116e8b12f97628f716c372fdb0e00dbef8142a89
Author: Jens Georg <mail@jensge.org>
Date:   Tue Dec 18 14:34:28 2012 +0100

    Remove Zeeshan from doap file.
    
    Thanks for taking care of this project.

 gupnp-tools.doap | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit fa77ebc09379693f2464966cb7fd04f67b36a245
Author: Jens Georg <mail@jensge.org>
Date:   Sun Dec 16 22:41:46 2012 +0100

    av-cp: Ignore initial notify
    
    UPnP events are supposed to send the current state. In the case of
    ContainerUpdateIDs we get the last update event which is completely
    irrelevant for our use-case, causing an initial browse and with it the
    duplicate entries.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690309

 src/av-cp/playlist-treeview.c | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit 3e520334531546126e2fdbd03ca7580eb5e31dc4
Author: Jens Georg <mail@jensge.org>
Date:   Mon Oct 8 16:08:40 2012 +0200

    Drop deprecated g_thread_init call

 configure.ac                  | 6 ++++--
 src/av-cp/Makefile.am         | 2 --
 src/av-cp/main.c              | 3 ---
 src/discover/Makefile.am      | 1 -
 src/network-light/Makefile.am | 2 --
 src/network-light/main.c      | 3 ---
 src/universal-cp/Makefile.am  | 3 +--
 src/universal-cp/main.c       | 3 ---
 src/upload/Makefile.am        | 2 --
 src/upload/main.c             | 3 +--
 10 files changed, 6 insertions(+), 22 deletions(-)

commit f8496566d6608fa5ed41190beb8b29933aa698f8
Author: Jens Georg <mail@jensge.org>
Date:   Mon Oct 8 16:04:44 2012 +0200

    Fix linking against recent gupnp stack

 configure.ac                  | 6 +++++-
 src/av-cp/Makefile.am         | 3 +++
 src/discover/Makefile.am      | 2 +-
 src/network-light/Makefile.am | 9 ++++++++-
 src/universal-cp/Makefile.am  | 9 ++++++++-
 src/upload/Makefile.am        | 1 +
 6 files changed, 26 insertions(+), 4 deletions(-)

commit 8ffed229c251a5f8023cb02def173833e32d4c09
Author: Jens Georg <mail@jensge.org>
Date:   Sat Feb 25 22:46:58 2012 +0200

    network-light: Fix typo

 src/network-light/upnp.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c38e7503a94ac09bf56ccd851617cb6a145616a
Author: Jens Georg <mail@jensge.org>
Date:   Tue Jan 17 14:43:51 2012 +0100

    av-cp: Don't create an enless loop
    
    If the server reports a total_count > 0 but smaller than the returned
    children so far, av-cp would enter an endless loop since the unsigned
    integer substraction ended up in a rather large remaining number of
    items to be fetched.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668090

 src/av-cp/playlist-treeview.c | 34 ++++++++++++++++++++++------------
 1 file changed, 22 insertions(+), 12 deletions(-)

commit d37fafaba88067a2331be65671819a57ff218828
Author: Jens Georg <mail@jensge.org>
Date:   Tue Jan 17 14:40:28 2012 +0100

    av-cp: Add error annotation on what exactly failed

 src/av-cp/playlist-treeview.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2d732abea4650828e77a4a1a79fd47b7b60de7af
Author: Jens Georg <mail@jensge.org>
Date:   Mon Dec 12 10:26:50 2011 +0100

    Prepare 0.8.4

 NEWS         | 34 ++++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 35 insertions(+), 1 deletion(-)

commit 28043af09eac9b197705c6daf10fa81b03a98b15
Author: Jens Georg <mail@jensge.org>
Date:   Mon Dec 12 09:57:15 2011 +0100

    Update autotools

 INSTALL      | 236 -----------------------------------------------------------
 Makefile.am  |  15 ++++
 autogen.sh   |  22 +++++-
 configure.ac |  33 ++++++---
 4 files changed, 57 insertions(+), 249 deletions(-)

commit 471dfe2f301c5b6de364874b18c1fd0dbf4a3479
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Sep 21 15:00:39 2011 +0300

    Correct a small typo

 src/discover/gssdp-discover.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d67b473850be48311979c813e06375d9311e04d3
Author: Jens Georg <mail@jensge.org>
Date:   Mon Aug 1 12:37:36 2011 +0200

    Empty item id is mandatory
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659316

 src/upload/item-creation.c | 1 +
 1 file changed, 1 insertion(+)

commit e56cc0eefa2e00ab6324031c4b08c6214b9e767a
Author: Jens Georg <mail@jensge.org>
Date:   Mon Aug 1 12:37:12 2011 +0200

    Avoid compiler warning by using format constant
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659315

 src/upload/transfer.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6edaa6449ec02476e5392f8f7484d1b793f6adc1
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Apr 15 16:54:33 2011 +0300

    Merge release 0.8.3 commit
    
    I had forgotten to push the release commit and now the master branch has
    diverged. <sigh>

 NEWS         | 11 +++++++++++
 configure.ac |  2 +-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit ddd067e8e20dc1bc18228e063b58c8cf80137fe2
Author: Jens Georg <mail@jensge.org>
Date:   Fri Jul 29 10:59:22 2011 +0200

    Add gssdp-discover tool
    
    A simple tool that scans the network for a given resource.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=654979

 configure.ac                  |   3 +
 src/Makefile.am               |   4 +-
 src/discover/Makefile.am      |  12 ++++
 src/discover/gssdp-discover.c | 136 ++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 153 insertions(+), 2 deletions(-)

commit 17d821d06b1f4669aeaa03abd8706a312200b86c
Author: Jens Georg <mail@jensge.org>
Date:   Fri Jul 29 12:01:42 2011 +0200

    Use GtkSourceView for DIDL debug info if available
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655579

 configure.ac                  |   6 +
 data/Makefile.am              |   4 +-
 data/gupnp-av-cp.ui           | 762 ------------------------------------------
 data/gupnp-av-cp.ui.in        | 762 ++++++++++++++++++++++++++++++++++++++++++
 src/av-cp/Makefile.am         |   4 +-
 src/av-cp/playlist-treeview.c |  22 ++
 6 files changed, 795 insertions(+), 765 deletions(-)

commit e64714aac25d8aca201a8c8fd30673ba5be56435
Author: Jens Georg <mail@jensge.org>
Date:   Mon May 9 20:06:41 2011 +0200

    Add utility function for XML pretty-printing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655563

 src/av-cp/Makefile.am         |  2 +-
 src/av-cp/playlist-treeview.c |  9 +++++++-
 src/common/Makefile.am        |  8 ++++---
 src/common/pretty-print.c     | 51 +++++++++++++++++++++++++++++++++++++++++++
 src/common/pretty-print.h     |  7 ++++++
 src/network-light/Makefile.am |  2 +-
 src/universal-cp/Makefile.am  |  2 +-
 7 files changed, 74 insertions(+), 7 deletions(-)

commit 527dbcada05acd531301d44f0972710596df5a71
Author: Jens Georg <mail@jensge.org>
Date:   Mon May 9 19:57:49 2011 +0200

    Don't destroy dialog contents on close event
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655562

 data/gupnp-av-cp.ui | 1 +
 1 file changed, 1 insertion(+)

commit 114ea49f9786c2d03cdd1e0b5335f92ecb2b7a9c
Author: Thijs Vermeir <thijsvermeir@gmail.com>
Date:   Wed Jul 27 02:52:39 2011 +0300

    Remove a redundant variable & its initialization

 src/av-cp/renderer-controls.c | 3 ---
 1 file changed, 3 deletions(-)

commit 1eaad0f59039c55b66857f10aa8d64ff1f1dc7cb
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Jun 7 16:44:55 2011 +0300

    Add a DOAP file

 gupnp-tools.doap | 57 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 57 insertions(+)

commit d8263f8acbc40296ec5c893452e5ae58c5469613
Author: Jens Georg <mail@jensge.org>
Date:   Thu Apr 14 22:21:50 2011 +0300

    Use expanders for in- and out arguments

 data/gupnp-universal-cp.ui       | 17 ++++++-------
 src/universal-cp/action-dialog.c | 52 ++++++++++++++++++++++++++++++----------
 2 files changed, 47 insertions(+), 22 deletions(-)

commit df197d282dbea49ec6b14a5fafc9b0ffde973037
Author: Jens Georg <mail@jensge.org>
Date:   Thu Apr 14 21:51:22 2011 +0300

    Restore old action dialog behaviour

 data/gupnp-universal-cp.ui       | 169 ++++++++++++++++++++++-----------------
 src/universal-cp/action-dialog.c |   3 +
 2 files changed, 97 insertions(+), 75 deletions(-)

commit a52dfe0cfd5f546d74bf242c1c9df86b05689f9b
Author: Jens Georg <mail@jensge.org>
Date:   Thu Apr 14 21:14:32 2011 +0300

    Fix gupnp-av-cp didl browser
    
    Broken by commit f0ff0a2de35e0293232eeaca05018727fff71027

 data/gupnp-av-cp.ui | 52 +++++++++++++++++++++++++++++++++-------------------
 1 file changed, 33 insertions(+), 19 deletions(-)

commit 7a01f8660c4e68a80a3f8f9f84d7c6c851077a25
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Mon Apr 11 17:34:03 2011 +0300

    Release 0.8.2

 NEWS         | 19 +++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit 871d0cca951d6ef395beb7d9bcb3e525bc832827
Author: Jens Georg <mail@jensge.org>
Date:   Mon Apr 11 15:23:31 2011 +0300

    Don't use deprecated functions

 src/universal-cp/action-dialog.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit f0ff0a2de35e0293232eeaca05018727fff71027
Author: Jens Georg <mail@jensge.org>
Date:   Mon Apr 11 15:23:20 2011 +0300

    Convert glade files to gtk3

 data/gupnp-av-cp.ui         | 320 ++++++++++++++---------
 data/gupnp-network-light.ui |  69 ++---
 data/gupnp-universal-cp.ui  | 611 +++++++++++++++++++++++++-------------------
 3 files changed, 584 insertions(+), 416 deletions(-)

commit 7cb9c646885aef85afbe8fa8d3380b853c66da0b
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Mon Apr 11 17:26:30 2011 +0300

    Require gtk+ 3.0.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e1f4f3910d850a139954f0bac6b03ac64ce5f914
Author: Luis de Bethencourt <luis@debethencourt.com>
Date:   Wed Feb 2 12:57:54 2011 +0100

    Clear the ChangeLog file
    
    The ChangeLog was obsolete and since it's use has been replaced
    by git log, an empty ChangeLog file is kept to satisfy autools.

 ChangeLog | 2579 -------------------------------------------------------------
 1 file changed, 2579 deletions(-)

commit b9da4b0660e887748994a6d7cd0f81ab6465cf2c
Author: Sven Neumann <s.neumann@raumfeld.com>
Date:   Wed Jan 5 17:51:58 2011 +0100

    Fix icon name in warning
    
    When loading an icon fails, use the right name in the warning.

 src/common/icons.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 44239e677bd3ee2021f3c75f3c90d7b01b8171a7
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Mon Jan 10 16:24:04 2011 +0200

    Require gtk+ >= 2.90

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d20f7fa74beede9a7cfcb0f3d7d2c2a93aade6d5
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Sep 16 18:12:59 2010 +0300

    Release 0.8.1

 NEWS         | 24 ++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 25 insertions(+), 1 deletion(-)

commit 24071790621e324e8c450c85b89ee30d2db81be1
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Sep 16 18:02:42 2010 +0300

    Require gupnp-av >= 0.5.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5bab301a169c9e568f05aef34ffc2f4b92fdab67
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Sep 2 01:27:28 2010 +0300

    Revert "Add basic hacker-orientation tool to browse ContentDirectory servers"
    
    This reverts commit 3c34841d63f94785930f2fca4cf4548e46e92f4d.
    
    Now gupnp-av-cp provides everything that this tool can so there is no need
    to keep a totally unmaintained code that the author didn't even know, has
    been committed to our repository.

 configure.ac                        |   4 -
 data/Makefile.am                    |   2 +-
 data/gupnp-av-browser.desktop.in.in |   9 -
 src/Makefile.am                     |   2 +-
 src/av-browser/ContentDirectory.xml | 545 ---------------------------------
 src/av-browser/Makefile.am          |  25 --
 src/av-browser/main.c               | 591 ------------------------------------
 7 files changed, 2 insertions(+), 1176 deletions(-)

commit 94d9aae8c6561af33c2f5644c32779105fd8afe6
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Sep 2 01:21:49 2010 +0300

    Set ID for the root containers

 src/av-cp/playlist-treeview.c | 1 +
 1 file changed, 1 insertion(+)

commit 1f970eb45d05884272e1a9892842eaa199755aba
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Sep 2 00:09:45 2010 +0300

    Make it possible for user to select containers

 src/av-cp/playlist-treeview.c | 65 +++++++++----------------------------------
 src/av-cp/playlist-treeview.h |  6 ++--
 src/av-cp/renderer-controls.c |  4 +--
 3 files changed, 17 insertions(+), 58 deletions(-)

commit 9e1c3365d6e63da6ce4423b157be3d6af045d8cc
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Sep 1 23:47:08 2010 +0300

    Glade3 wants to move nodes around again, let it!

 data/gupnp-av-cp.ui | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 7f549cbb00d8171726fd270636d8fe97e8d0b913
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Sep 1 23:44:01 2010 +0300

    Add metadata dialog
    
    Add UI for user to fetch and view the DIDL-Lite XML for items.

 data/gupnp-av-cp.ui           | 71 +++++++++++++++++++++++++++++++++++++++++++
 src/av-cp/playlist-treeview.c | 26 ++++++++++++++++
 2 files changed, 97 insertions(+)

commit 40e673cc73c1f1b625bce8284ca11d998cd085c3
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Sep 1 23:39:09 2010 +0300

    Refactor: Separate function for BrowseMetadata

 src/av-cp/playlist-treeview.c | 139 +++++++++++++++++++++++-------------------
 1 file changed, 75 insertions(+), 64 deletions(-)

commit 17a3815ce6cbf5fb75cfed90d57dd3576631834b
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Sep 1 23:32:51 2010 +0300

    'icon-size' property is now obsolete
    
    Apparently 'icon-size' property in UI files is now obsolete.

 data/gupnp-av-cp.ui | 6 ------
 1 file changed, 6 deletions(-)

commit 37cbc1d385fff68c425e98c0e5e7a3e6d346746a
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Sep 1 19:44:26 2010 +0300

    Minor refactor

 src/universal-cp/details-treeview.c | 16 +++++-----------
 1 file changed, 5 insertions(+), 11 deletions(-)

commit 0c61a3c41b634e6f4b6f396747dc47bf387949b5
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Sep 1 19:43:31 2010 +0300

    Add popup menu to playlist treeview

 data/gupnp-av-cp.ui           | 11 +++++++++++
 src/av-cp/playlist-treeview.c | 29 ++++++++++++++++++++++++++++-
 2 files changed, 39 insertions(+), 1 deletion(-)

commit 522b4a7b22602fedb741d0778ca354c0fd8f14c0
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Mar 18 16:40:45 2010 +0000

    autogen.sh: Obey the ACLOCAL_FLAGS environment variable
    
    This allows additional macro search paths to be searched by setting
    the ACLOCAL_FLAGS variable. This is needed for jhbuild.
    
    http://bugzilla.openedhand.com/show_bug.cgi?id=2039

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ead00e8a4eb5d7e4b939e7fa8370314265be287d
Author: Ross Burton <ross@linux.intel.com>
Date:   Thu Mar 18 11:21:27 2010 +0000

    Change child_count to a signed int, and handle -1 as a valid unknown child count

 src/av-cp/playlist-treeview.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d3bed659294689f40e71748d601e389fbfc234ef
Author: Jens Georg <mail@jensge.org>
Date:   Fri Dec 4 14:44:39 2009 +0200

    Correctly install icons on win32

 configure.ac                         |   2 +-
 data/pixmaps/win32/av-cp.ico         | Bin 0 -> 9662 bytes
 data/pixmaps/win32/network-light.ico | Bin 0 -> 9662 bytes
 data/pixmaps/win32/universal-cp.ico  | Bin 0 -> 9662 bytes
 src/av-cp/Makefile.am                |  11 +++++++++++
 src/av-cp/av-cp.rc                   |   1 +
 src/network-light/Makefile.am        |  11 +++++++++++
 src/network-light/network-light.rc   |   1 +
 src/universal-cp/Makefile.am         |  12 ++++++++++++
 src/universal-cp/universal-cp.rc     |   1 +
 10 files changed, 38 insertions(+), 1 deletion(-)

commit 66446c2ff8c2201990d6b6cc77dafeed102173e2
Author: Jens Georg <mail@jensge.org>
Date:   Fri Dec 4 14:34:12 2009 +0200

    Mark exported symbols as such
    
    So that signal autoconnection work on win32.

 src/av-cp/gui.c                     |  2 ++
 src/av-cp/main.c                    |  2 ++
 src/av-cp/playlist-treeview.c       |  7 +++++--
 src/av-cp/renderer-controls.c       | 10 ++++++++++
 src/network-light/gui.c             |  7 +++++++
 src/network-light/upnp.c            | 15 +++++++++++++--
 src/universal-cp/action-dialog.c    |  3 +++
 src/universal-cp/details-treeview.c |  5 +++++
 src/universal-cp/device-treeview.c  |  6 ++++++
 src/universal-cp/event-treeview.c   |  8 ++++++++
 src/universal-cp/gui.c              |  3 +++
 src/universal-cp/main.c             |  3 +++
 12 files changed, 67 insertions(+), 4 deletions(-)

commit 5414e172566c1430d25b3a8ac3ec7a2905697866
Author: Jens Georg <mail@jensge.org>
Date:   Fri May 1 20:24:22 2009 +0200

    Make sure everything builds on windows

 configure.ac                  | 19 +++++++++++++++++++
 src/av-cp/Makefile.am         |  6 +++---
 src/network-light/Makefile.am |  5 +++--
 src/network-light/upnp.c      | 17 ++++++++++++++++-
 src/universal-cp/Makefile.am  |  3 +--
 5 files changed, 42 insertions(+), 8 deletions(-)

commit 0d324d8ed572cbcc5c68542b893e577a306dd8b8
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Mon Nov 16 01:43:20 2009 +0200

    Get rid of redundant newline in warning messages

 src/av-cp/playlist-treeview.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0bb4740382c1f4f9b16dc6636c26d7c4d1872524
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Nov 30 12:05:45 2009 +0000

    Add ignores

 .gitignore | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 3c34841d63f94785930f2fca4cf4548e46e92f4d
Author: Ross Burton <ross@linux.intel.com>
Date:   Mon Nov 30 12:00:01 2009 +0000

    Add basic hacker-orientation tool to browse ContentDirectory servers

 configure.ac                        |   4 +
 data/Makefile.am                    |   2 +-
 data/gupnp-av-browser.desktop.in.in |   9 +
 src/Makefile.am                     |   2 +-
 src/av-browser/ContentDirectory.xml | 545 +++++++++++++++++++++++++++++++++
 src/av-browser/Makefile.am          |  25 ++
 src/av-browser/main.c               | 591 ++++++++++++++++++++++++++++++++++++
 7 files changed, 1176 insertions(+), 2 deletions(-)

commit 192ecb558b945490815a50fa6ac6e4ce411aba6f
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Mon Aug 31 16:59:01 2009 +0300

    Announcement for release 0.8

 NEWS | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit eac0189b3c885604615b292f30ccb62cbe4dd9bf
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Aug 21 18:27:41 2009 +0300

    Add cmdline option to specify network interface

 src/upload/main.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 6f8ba388018a96f92c2b2edb8b4df63fe9091779
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Aug 21 16:30:42 2009 +0300

    Port the code to new gupnp and gupnp-av APIs

 src/av-cp/playlist-treeview.c |  35 +++-------
 src/network-light/upnp.c      |  25 ++++---
 src/upload/container-search.c |  33 ++++-----
 src/upload/item-creation.c    | 157 ++++++++++++++++++++----------------------
 src/upload/main.c             |   5 +-
 5 files changed, 116 insertions(+), 139 deletions(-)

commit 63f5587e37b457e85ee0fbb997752e1972b169a4
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Aug 6 05:52:54 2009 +0300

    Adapt to changes in GUPnPDIDLLiteParser API

 src/av-cp/playlist-treeview.c | 29 +++++++++++++++--------------
 src/av-cp/renderer-controls.c | 21 +++++++++++----------
 2 files changed, 26 insertions(+), 24 deletions(-)

commit 31a4a7f03a27f890caf6143deddb98835303a202
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Aug 4 01:30:06 2009 +0300

    API update: DIDLLite object API got GObject'ified

 src/av-cp/playlist-treeview.c | 34 +++++++++++++++++++---------------
 src/av-cp/renderer-controls.c |  4 ++--
 2 files changed, 21 insertions(+), 17 deletions(-)

commit b80439469f6acd494ff7015c13481cb2e2ce3af5
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Jul 31 20:05:48 2009 +0300

    API update: Some props of resource are now optional
    
    Some properties of GUPnPDIDLLiteResource are now optional.

 src/upload/item-creation.c | 2 --
 1 file changed, 2 deletions(-)

commit 3bc4446161c651bacd4da63c1cac8925547d8fe0
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Jul 31 20:01:16 2009 +0300

    API update: GUPnPDIDLLiteResource is now a GObject

 src/av-cp/renderer-controls.c | 27 +++++++++++++++++----------
 src/upload/item-creation.c    | 38 +++++++++++++++++++-------------------
 2 files changed, 36 insertions(+), 29 deletions(-)

commit 399d509cc01a689ed9571f3df21397a9fbf8d098
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Jul 21 18:34:02 2009 +0300

    No need to care about hosting of desc doc anymore

 src/network-light/upnp.c | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit 323408c12bcd79033f56b24afcf58943d6f7b061
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Sun Jul 19 03:54:54 2009 +0300

    Cast the signal handlers to make compiler happy

 src/network-light/upnp.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f35e89e0a495188353d2c31d046032d779af459b
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Sun Jul 19 03:54:08 2009 +0300

    Signal handlers as passed gpointer not 'gpointer *'

 src/av-cp/main.c         | 2 +-
 src/network-light/upnp.c | 2 +-
 src/universal-cp/main.c  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit c4b599d484c3a951b796555796abbe942d922b65
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Sun Jul 19 03:48:32 2009 +0300

    Use new api to leave CP management to gupnp
    
    Use new GUPnPContextManager API to get rid of CP lifecyle management.

 src/av-cp/main.c         | 67 +++++-------------------------------------------
 src/network-light/upnp.c | 18 +++++--------
 src/universal-cp/main.c  | 33 +++---------------------
 3 files changed, 17 insertions(+), 101 deletions(-)

commit 15383e2ef80dea413b7b8a0b1bfcf9e49353d781
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Jul 15 15:52:17 2009 +0300

    Fix infinite loop in icon cancelation code
    
    I wonder why I don't just die instead of writing such code?

 src/common/icons.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit ebc3c3b814f86c140052d004f94b0126ad7e6e44
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Jul 15 15:36:02 2009 +0300

    Keep ref to DeviceInfo in IconData

 src/common/icons.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a1c0ec4799593bcb0ebefebcbd883be5ed59325b
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Jul 15 01:09:20 2009 +0300

    Keep CPs & contexts in GList rather than GHashTable

 src/av-cp/main.c | 68 ++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 49 insertions(+), 19 deletions(-)

commit 4e1178e7b8e71624ff7e9e42c7e5d1cb0aea65d7
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Jul 15 00:04:38 2009 +0300

    Correct context equality check for av-cp as well

 src/av-cp/main.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 36893bbf44fc830a16b70abfe1b4086de53bd971
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Jul 14 19:19:32 2009 +0300

    Use G_CALLBACK to setisfy the compiler

 src/av-cp/main.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b1ac8311090287e0d4ddd8d9349cf89539a9bc05
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Jul 14 19:17:17 2009 +0300

    No need to search for all resources anymore
    
    gssdp will now take care of version-independence for us. Yay!

 src/av-cp/main.c | 72 +++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 42 insertions(+), 30 deletions(-)

commit dc307d42e83438dac1bcfbd28d35a66eeb375cff
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Mon Jul 27 04:05:21 2009 +0300

    Require gupnp-av 0.5

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 55e2d15cfda882a5a7ff968261b4dfa65148fdb8
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Sun Jul 26 05:11:49 2009 +0300

    Leave selection of resource to gupnp-av
    
    Use the new gupnp-av API to select the best resource for the user-selected
    MediaRenderer.

 src/av-cp/renderer-controls.c | 363 +++++-------------------------------------
 1 file changed, 38 insertions(+), 325 deletions(-)

commit 15aec6147642535851893d6b6cb42bc1f7038d4d
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Sun Jul 26 05:10:20 2009 +0300

    Keep and use the original SinkProtocolInfo string

 src/av-cp/renderer-combo.c | 25 +++++++++----------------
 src/av-cp/renderer-combo.h |  2 +-
 2 files changed, 10 insertions(+), 17 deletions(-)

commit 735ca428a59732336ff41626598323e351e0a060
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Jul 24 16:15:16 2009 +0300

    Fix a typo
    
    Fix a typo that must have caused a lot of problems for our users. :(

 src/av-cp/renderer-controls.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 47a0ceb09ca740698125a6aec5a7185bcfbabfee
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Jul 14 18:29:45 2009 +0300

    Check equality of context names as well
    
    Only checking for the 'host-ip' isn't enough.

 src/universal-cp/main.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f49b9bbf47f2f02f00ae42f2049a175f552a9f40
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Jul 14 18:28:44 2009 +0300

    Bump-up minor version infact
    
    Latest changes aren't so small.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ff701e3a8a06de64cfeb4f06089639c06a91f68
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Jun 26 14:52:34 2009 +0300

    Bump-up micro version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 62d8b5556a3822ce22d9bf17e6e58421bd7d6f83
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Jun 26 14:51:48 2009 +0300

    Bump-up gupnp requirement to 0.13

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c25814da208c2088ba11f5a055b44e88bc7dbe8a
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Feb 27 13:45:47 2009 +0200

    Only create the device description once.

 src/network-light/upnp.c | 112 +++++++++++++++++++++--------------------------
 1 file changed, 51 insertions(+), 61 deletions(-)

commit bec043247df0d86ad4da038d18397a40d2fc9400
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Feb 25 16:51:01 2009 +0200

    Generate the UUID only once.
    
    This is to keep the same UUID on all networks.

 src/network-light/upnp.c | 40 ++++++++++++++++++----------------------
 1 file changed, 18 insertions(+), 22 deletions(-)

commit 09aa3698f86beec0811995d5dff8baece446d6a7
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Feb 25 16:37:37 2009 +0200

    Remove an unneeded check and action based on it.

 src/network-light/upnp.c | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit bd452682776c09dac8b7be164f92403687b89e58
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Feb 25 16:31:41 2009 +0200

    Update console message.

 src/network-light/upnp.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 95e6b09fcf501ccd3a473f85227c668f377672bf
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Feb 25 15:11:47 2009 +0200

    Support for multiple networks.
    
    AV & Universal CP, & Network Light can now do multiple networks.

 src/av-cp/main.c         |  68 +++++++++++----
 src/network-light/upnp.c | 210 +++++++++++++++++++++++++++++++++++------------
 src/universal-cp/main.c  |  70 +++++++++++-----
 3 files changed, 257 insertions(+), 91 deletions(-)

commit a09b70b9c026d6e9f458eb6fa56c864d5c9bac2d
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Jun 25 02:30:11 2009 +0300

    Update childCount after browsing is done

 src/av-cp/playlist-treeview.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 6d2d9bd810a01324f48198a40d6f2762e8682290
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Jun 25 02:02:46 2009 +0300

    Always re-browse container on updates
    
    We were only doing that if the container previously had children. Why?

 src/av-cp/playlist-treeview.c | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 7276f4c372fb78d3a6077a4053a1c8cb8efec5d7
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Jun 25 01:44:58 2009 +0300

    Don't browse containers with no children

 src/av-cp/playlist-treeview.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 88e81515e6789d6ab6afb99f26e741f81e7727b2
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Jun 25 01:44:25 2009 +0300

    Keep childCount of containers in the treestore

 src/av-cp/playlist-treeview.c | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit e493a4d7b84fce7c1d4297cf27d94ad9fb37fe61
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Jun 25 00:57:22 2009 +0300

    Specify filter in Browse to reduce network usage

 src/av-cp/playlist-treeview.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bf3d9d861761746c4b2cdae7f214f0329aed01a5
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Jun 25 00:39:37 2009 +0300

    Minor indentation fix

 src/av-cp/playlist-treeview.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1bb57efe4b087780a2fa15eece1f019adf5de3b9
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu May 21 02:42:18 2009 +0300

    Add lenient mode
    
    Our algorithem to find the right resource for the selected renderer is far
    from perfect so adding this option for user to be able to say "Stop trying
    to be smart, just play the first URI you see".

 data/gupnp-av-cp.ui           | 19 +++++++++++++++++++
 src/av-cp/renderer-controls.c | 11 +++++++++++
 2 files changed, 30 insertions(+)

commit 37f1cf3f7aac84450457a96041bcecbf99d7a470
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue May 12 19:28:37 2009 +0300

    Prepare notes for release 0.7.1.

 NEWS | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 9449474d2747246005ed2b26415cb6b503262607
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Mon Apr 27 18:03:04 2009 +0300

    Make it clear that av-cp is only a Control Point.

 README | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 5e44bd0d0640faaa537ac525cc45fa5cfab31516
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Apr 16 18:50:30 2009 +0300

    Bump-up gtk+ requirement to 2.16.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9d3bd3b37a2fd7a6e9c5d58840a046578b694b94
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Thu Apr 16 14:11:29 2009 +0300

    Bump-up version.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 699edec02111f6e46e5873aa6a9813400ad944cd
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Apr 15 22:56:34 2009 +0300

    No need to destroy widgets acquired from GtkBuilder.

 src/universal-cp/details-treeview.c | 4 ----
 src/universal-cp/device-treeview.c  | 3 ---
 src/universal-cp/event-treeview.c   | 4 ----
 3 files changed, 11 deletions(-)

commit 53e2031082e8b95ade26aaafb67a899b2c6843f2
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Apr 15 22:37:17 2009 +0300

    Re-convert most part of UI files using glade3.
    
    Somehow the conversion didn't happen through glade3 last time.

 data/gupnp-av-cp.ui         | 39 +++++++++++++++++---------
 data/gupnp-network-light.ui |  9 +++---
 data/gupnp-universal-cp.ui  | 68 +++++++++++++++++++++++----------------------
 3 files changed, 65 insertions(+), 51 deletions(-)

commit 21023ff3dda3d3c25b81cdb9ea079f01bce2c513
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Apr 15 17:09:38 2009 +0300

    Bring back the tooltip.

 data/gupnp-av-cp.ui | 1 +
 1 file changed, 1 insertion(+)

commit 64b3f63a42392541f72574b48e7a183e6b83a84a
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Apr 15 17:06:56 2009 +0300

    Add adjustments to scale widgets.

 data/gupnp-av-cp.ui | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit cb97ff5c2b81667157f9f59ea0d696c169b5963c
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Wed Apr 15 16:47:19 2009 +0300

    Recreate the UI files using Glade3.
    
    Still far from perfect conversion but better than gtk-builder-convert.

 data/gupnp-av-cp.ui         | 497 ++++++++--------------------
 data/gupnp-network-light.ui | 148 ++++-----
 data/gupnp-universal-cp.ui  | 787 ++++++++++++++++----------------------------
 3 files changed, 478 insertions(+), 954 deletions(-)

commit e8bb5436aa22009b5b312da5a459324382e889c5
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Tue Apr 14 18:31:19 2009 +0300

    First big step towards freedom from libglade.
    
    The UIs don't work currently but only build.

 configure.ac                        |   2 -
 data/Makefile.am                    |   6 +-
 data/gupnp-av-cp.glade              | 823 -----------------------------------
 data/gupnp-av-cp.ui                 | 783 +++++++++++++++++++++++++++++++++
 data/gupnp-network-light.glade      | 122 ------
 data/gupnp-network-light.ui         | 122 ++++++
 data/gupnp-universal-cp.glade       | 846 ------------------------------------
 data/gupnp-universal-cp.ui          | 806 ++++++++++++++++++++++++++++++++++
 src/av-cp/Makefile.am               |   6 +-
 src/av-cp/gui.c                     |  44 +-
 src/av-cp/gui.h                     |   1 -
 src/av-cp/main.h                    |   1 -
 src/av-cp/playlist-treeview.c       |   5 +-
 src/av-cp/playlist-treeview.h       |   3 +-
 src/av-cp/renderer-combo.c          |   6 +-
 src/av-cp/renderer-combo.h          |   3 +-
 src/av-cp/renderer-controls.c       |  24 +-
 src/av-cp/renderer-controls.h       |   3 +-
 src/common/Makefile.am              |   2 +-
 src/common/icons.h                  |   1 -
 src/network-light/Makefile.am       |   4 +-
 src/network-light/gui.c             |  60 ++-
 src/network-light/gui.h             |   1 -
 src/universal-cp/Makefile.am        |   4 +-
 src/universal-cp/action-dialog.c    |  41 +-
 src/universal-cp/action-dialog.h    |   3 +-
 src/universal-cp/details-treeview.c |  11 +-
 src/universal-cp/details-treeview.h |   3 +-
 src/universal-cp/device-treeview.c  |  19 +-
 src/universal-cp/device-treeview.h  |   2 +-
 src/universal-cp/event-treeview.c   |  17 +-
 src/universal-cp/event-treeview.h   |   3 +-
 src/universal-cp/gui.c              |  42 +-
 src/universal-cp/gui.h              |   1 -
 34 files changed, 1894 insertions(+), 1926 deletions(-)

commit 5cfa2310649c107315b664a48fc4e11b5c06f418
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Mar 27 17:38:57 2009 +0200

    Iterate over item resources rather than renderer protocols.
    
    This change makes av-cp select the first resource provided by item that
    is compatible with renderer rather than selecting the first protocol
    in the renderer's supported protocols list that item has a compatible
    resource for.

 src/av-cp/renderer-controls.c | 50 +++++++++++++++++++++++++++++++++++--------
 1 file changed, 41 insertions(+), 9 deletions(-)

commit 710c047c160ea10f167d1036386c43ba0042cb1f
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Mar 20 02:09:07 2009 +0200

    Correct the order of mimetype check.
    
    Item's mimetype should be the descendent of renderer's mimetype and not
    the other way around.

 src/av-cp/renderer-controls.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 11a42c879aae7af9621923e0f6b104dc9fd8961c
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Mar 20 00:43:09 2009 +0200

    Use g_content_type_is_a() to compare mimetypes.

 src/av-cp/renderer-controls.c | 23 +++++++++++++++++++++--
 1 file changed, 21 insertions(+), 2 deletions(-)

commit eb2aff3ff2ffc0fc24164fffefe2f4db49fad025
Author: Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Date:   Fri Feb 27 13:53:25 2009 +0200

    Fix a typo.

 src/av-cp/playlist-treeview.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 5bea76c0956ce85fd071bd20e491bd48747964aa
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 24 12:20:09 2008 +0000

    Add missing casts.
    
    Patch by Sven Neumann <s.neumann@phase-zero.de>.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1377 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        | 7 +++++++
 src/av-cp/playlist-treeview.c    | 2 +-
 src/universal-cp/action-dialog.c | 4 ++--
 3 files changed, 10 insertions(+), 3 deletions(-)

commit 4beca6f193eb73f8a0d160c6384bd8d2913b7c2a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 24 12:20:01 2008 +0000

    Declare variables as const to setisfy the compiler.
    
    Patch by Sven Neumann <s.neumann@phase-zero.de>.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1376 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog         | 7 +++++++
 src/upload/main.c | 4 ++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit c0c65e46dfdb25f13822bc086c846840128d17e5
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 24 12:19:53 2008 +0000

    Initialize the GError to NULL at declaration.
    
    Patch by Sven Neumann <s.neumann@phase-zero.de>.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1375 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog               | 8 ++++++++
 src/av-cp/main.c        | 3 +--
 src/universal-cp/main.c | 3 +--
 3 files changed, 10 insertions(+), 4 deletions(-)

commit 5ff0059af0af1bf8422c49b34f2a606494a8b303
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 24 12:19:45 2008 +0000

    Use g_printerr() instead of g_critical() in case of problems.
    
    Based on a patch by Sven Neumann <s.neumann@phase-zero.de>.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1374 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog               | 9 +++++++++
 src/av-cp/main.c        | 3 ++-
 src/universal-cp/main.c | 3 ++-
 src/upload/main.c       | 5 +++--
 4 files changed, 16 insertions(+), 4 deletions(-)

commit 33d61e572c4257f607a4789e5f4444fe90a8fde8
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Nov 5 22:32:02 2008 +0000

    Replace my non-working "@gstreamer.net" email with "@gnome.org" one.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1345 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 AUTHORS                             |  2 +-
 ChangeLog                           | 38 +++++++++++++++++++++++++++++++++++++
 data/gupnp-av-cp.glade              |  4 ++--
 data/gupnp-network-light.glade      |  4 ++--
 data/gupnp-universal-cp.glade       |  4 ++--
 src/av-cp/gui.c                     |  4 ++--
 src/av-cp/gui.h                     |  4 ++--
 src/av-cp/main.c                    |  4 ++--
 src/av-cp/main.h                    |  4 ++--
 src/av-cp/playlist-treeview.c       |  4 ++--
 src/av-cp/playlist-treeview.h       |  4 ++--
 src/av-cp/renderer-combo.c          |  4 ++--
 src/av-cp/renderer-combo.h          |  4 ++--
 src/av-cp/renderer-controls.c       |  4 ++--
 src/av-cp/renderer-controls.h       |  4 ++--
 src/common/icons.c                  |  4 ++--
 src/common/icons.h                  |  4 ++--
 src/network-light/gui.c             |  4 ++--
 src/network-light/gui.h             |  4 ++--
 src/network-light/main.c            |  2 +-
 src/network-light/main.h            |  4 ++--
 src/network-light/upnp.h            |  4 ++--
 src/universal-cp/action-dialog.c    |  4 ++--
 src/universal-cp/action-dialog.h    |  4 ++--
 src/universal-cp/details-treeview.c |  4 ++--
 src/universal-cp/details-treeview.h |  4 ++--
 src/universal-cp/device-treeview.c  |  6 +++---
 src/universal-cp/device-treeview.h  |  4 ++--
 src/universal-cp/event-treeview.c   |  4 ++--
 src/universal-cp/event-treeview.h   |  4 ++--
 src/universal-cp/gui.c              |  4 ++--
 src/universal-cp/gui.h              |  4 ++--
 src/universal-cp/main.c             |  4 ++--
 src/universal-cp/main.h             |  4 ++--
 34 files changed, 103 insertions(+), 65 deletions(-)

commit c138987302ee6792185bc87f2a2e91813fb2b05a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Oct 28 12:57:40 2008 +0000

    Update the release announcement according to the last change.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1330 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog | 6 ++++++
 NEWS      | 8 +++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 21b9be9a492d405492162190fe83f4711e7ef392
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Oct 28 12:57:34 2008 +0000

    Initialize the thread system before doing anything else.
    
    This automatically removes the need to check for thread system already
    initialized.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1329 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 15 +++++++++++++++
 src/av-cp/gui.c          |  2 --
 src/av-cp/main.c         |  3 +++
 src/network-light/main.c |  3 +++
 src/network-light/upnp.c |  6 +-----
 src/universal-cp/gui.c   |  2 --
 src/universal-cp/main.c  |  3 +++
 src/upload/main.c        |  7 +++----
 8 files changed, 28 insertions(+), 13 deletions(-)

commit 909770198698b786721d50cbaf79472e8adc127f
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 27 19:14:46 2008 +0000

    Prepare NEWS file for release 0.7.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1327 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog |  6 ++++++
 NEWS      | 16 ++++++++++++++++
 2 files changed, 22 insertions(+)

commit aea7ea81089b386aaf1a297313053d545888c5a0
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 27 19:14:39 2008 +0000

    Add 'gupnp-upload' to list of tools in README.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1326 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog | 6 ++++++
 README    | 3 +++
 2 files changed, 9 insertions(+)

commit 0ce0701d327a34a616239bf87929ba668522d0a3
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 27 19:14:32 2008 +0000

    Bump-up version to 0.7.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1325 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 8976a5e858c83e21d1c3c3a1afae396ab1022d71
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 27 19:14:22 2008 +0000

    Small refactoring.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1324 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog         | 6 ++++++
 src/upload/main.c | 6 +-----
 2 files changed, 7 insertions(+), 5 deletions(-)

commit 555ae5afd2b7bb08beaa142ed04a60f2b05741ad
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 13 21:59:30 2008 +0000

    Use g_main_loop_unref() instead of g_object_unref() to unref main_loop.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1304 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog         | 6 ++++++
 src/upload/main.c | 6 +++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 3e752bb098a0159616098d0e9ddb955ed8b67cb3
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 13 18:57:01 2008 +0000

    Support uploading of multiple files.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1303 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  9 ++++++
 src/upload/item-creation.c | 15 +++------
 src/upload/main.c          | 81 ++++++++++++++++++++++++++++++++++------------
 src/upload/main.h          |  3 ++
 src/upload/transfer.c      |  8 ++---
 5 files changed, 79 insertions(+), 37 deletions(-)

commit 885ea67a43d5a2c2b6093f268eaec8cdabf25aae
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 13 18:56:53 2008 +0000

    Display the name of the file being transfered.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1302 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             |  6 ++++++
 src/upload/transfer.c | 14 +++++++++++---
 2 files changed, 17 insertions(+), 3 deletions(-)

commit 8a762d7e20235776643303c686b069892d752a47
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 13 13:09:06 2008 +0000

    Invert the order of commandline arguments.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1301 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog         | 6 ++++++
 src/upload/main.c | 6 +++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 6377c29ab8b3d3ee5e86e27afa5b29e07f08daac
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 13 13:08:59 2008 +0000

    Introducing gupnp-upload.
    
    A small utility commandline application that uploads files to MediaServers.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1300 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  19 +++
 configure.ac                  |   1 +
 src/Makefile.am               |   2 +-
 src/upload/Makefile.am        |  28 +++++
 src/upload/container-search.c | 153 ++++++++++++++++++++++++
 src/upload/container-search.h |  30 +++++
 src/upload/control_point.c    | 115 ++++++++++++++++++
 src/upload/control_point.h    |  35 ++++++
 src/upload/item-creation.c    | 265 ++++++++++++++++++++++++++++++++++++++++++
 src/upload/item-creation.h    |  34 ++++++
 src/upload/main.c             | 162 ++++++++++++++++++++++++++
 src/upload/main.h             |  37 ++++++
 src/upload/transfer.c         | 205 ++++++++++++++++++++++++++++++++
 src/upload/transfer.h         |  33 ++++++
 14 files changed, 1118 insertions(+), 1 deletion(-)

commit 6687ab378d29859f21f3663938fde260512dc05b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Oct 13 13:08:50 2008 +0000

    Require GIO >= 2.12.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1299 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 ++
 2 files changed, 8 insertions(+)

commit 38ade50fa292148573972ff688ea7a45a4681855
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 1 20:24:38 2008 +0000

    A bit more beautiful error dialog. :)
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1298 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        |  6 ++++++
 src/universal-cp/action-dialog.c | 18 +++++++++---------
 2 files changed, 15 insertions(+), 9 deletions(-)

commit bb9b0ba784c5cd094cf2d134fe5dc3a0863a04f9
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 1 20:11:48 2008 +0000

    Use a message dialog to display action invocation.
    
    Use a message dialog to display action invocation errors rather than a
    warning on the console. Fixes #936.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1297 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        |  7 +++++++
 src/universal-cp/action-dialog.c | 20 +++++++++++++-------
 2 files changed, 20 insertions(+), 7 deletions(-)

commit e591cca920c625e155573c8c251c4a17e56b2f04
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 29 15:44:02 2008 +0000

    Correct the check for top children.
    
    Convert the check for top children to be based on the ID of the
    container we browsed rather than the parentID of the DIDL object. We
    should not be assuming that the actual ID of the root container is
    guaranteed to be "0".
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1279 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 9 +++++++++
 src/av-cp/playlist-treeview.c | 3 ++-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 0a76cad098df06c4bdc2554e4a0a4865e7bd316b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 29 15:43:55 2008 +0000

    Pass the whole BrowseData to DIDL handling functions.
    
    Pass the whole BrowseData to DIDL handling functions rather than just
    ContentDirectory proxy.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1278 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 src/av-cp/playlist-treeview.c | 26 +++++++++++++-------------
 2 files changed, 20 insertions(+), 13 deletions(-)

commit f86cafefddde44bbe7ae44bb864396edb3c8c40a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 29 15:43:49 2008 +0000

    Use BrowseData to keep ref to ContentDirectory proxy.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1277 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  6 ++++++
 src/av-cp/playlist-treeview.c | 16 ++++++++++------
 2 files changed, 16 insertions(+), 6 deletions(-)

commit e4193588571182b32581fe30db41813a59c8e75a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 29 15:43:43 2008 +0000

    Don't initialize thread system if it is already initialized.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1276 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 8 ++++++++
 src/av-cp/gui.c          | 3 ++-
 src/network-light/upnp.c | 3 ++-
 src/universal-cp/gui.c   | 3 ++-
 4 files changed, 14 insertions(+), 3 deletions(-)

commit 674a87d13f39eeb61056d28811d946d7576a9c60
Author: Ross Burton <ross@openedhand.com>
Date:   Mon Sep 22 16:30:43 2008 +0000

    2008-09-22  Ross Burton  <ross@linux.intel.com>
    
    	* data/Makefile.am:
    	Don't install the AV glade and desktop files if AV tools are disabled.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1267 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog        |  5 +++++
 data/Makefile.am | 11 +++++++----
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 5e3c6de45d666dc1ce9b2e461c20f29a22da3392
Author: Ross Burton <ross@openedhand.com>
Date:   Mon Sep 22 16:29:40 2008 +0000

    2008-09-22  Ross Burton  <ross@linux.intel.com>
    
    	* src/network-light/upnp.[ch]:
    	Fix compile errors (well, warnings after the previous commit).
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1266 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 5 +++++
 src/network-light/upnp.c | 6 ------
 src/network-light/upnp.h | 6 ++++++
 3 files changed, 11 insertions(+), 6 deletions(-)

commit 96c6f0046fd7207db6a1e1fbc5b8934c558e14de
Author: Ross Burton <ross@openedhand.com>
Date:   Mon Sep 22 16:28:18 2008 +0000

    2008-09-22  Ross Burton  <ross@linux.intel.com>
    
    	* configure.ac:
    	Don't ever use -Werror, it's stupid. Just always do -Wall.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1265 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 5 +++++
 configure.ac | 8 +-------
 2 files changed, 6 insertions(+), 7 deletions(-)

commit cf1fa74a0f16959a1feea63d29b8b77fab654193
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 6 21:39:36 2008 +0000

    Update the NEWS and README files as per the latest changes.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1253 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog | 7 +++++++
 NEWS      | 8 ++++++--
 README    | 4 +++-
 3 files changed, 16 insertions(+), 3 deletions(-)

commit e0e9dbcd4013f7016303da9646dd60c5f1ed3b65
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 6 21:39:28 2008 +0000

    Refactor: Put client and server (de)initialization in separate functions.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1252 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                |   7 ++++
 src/network-light/upnp.c | 103 ++++++++++++++++++++++++++++++++---------------
 2 files changed, 77 insertions(+), 33 deletions(-)

commit e647d05d4d101b64052b38ccfb7ed10cd63510f8
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 6 21:39:20 2008 +0000

    The UI now controls all network lights on the network, not just itself.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1251 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                |   7 ++
 src/network-light/gui.c  |   6 +-
 src/network-light/upnp.c | 174 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 184 insertions(+), 3 deletions(-)

commit b6612d97068abc27d07c130e1fbc891f9d3b6fcb
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Aug 23 14:23:12 2008 +0000

    Update NEWS file according to the last change.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1221 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog | 6 ++++++
 NEWS      | 6 ++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 09cc44117bfa4b7b92dfa299fe2acb53534f1553
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Aug 23 14:23:04 2008 +0000

    No need to add orphan objects to tree.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1220 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  6 ++++++
 src/av-cp/playlist-treeview.c | 17 +++++++++--------
 2 files changed, 15 insertions(+), 8 deletions(-)

commit 511bf6edb297d4d464b38456bd19382f6ff170b7
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Aug 12 20:23:04 2008 +0000

    Update NEWS file for release 0.6.1.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1218 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog | 6 ++++++
 NEWS      | 6 ++++++
 2 files changed, 12 insertions(+)

commit a80bacb3eaf6f11cddf102d37f0b2aca76db6b3e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Aug 12 20:22:58 2008 +0000

    Bump version number to 0.6.1.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1217 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c9eecc1354a9829a7436aa08385da1f379398c3f
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Aug 12 20:01:59 2008 +0000

    Explicitly require and link to libgthread-2.0.
    
    This should fix the build issues on Rawhide.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1216 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 10 ++++++++++
 configure.ac                  |  2 ++
 src/av-cp/Makefile.am         |  6 +++++-
 src/network-light/Makefile.am | 10 +++++++---
 src/universal-cp/Makefile.am  |  7 ++++---
 5 files changed, 28 insertions(+), 7 deletions(-)

commit 549c9d3abe26fce5ed715084470999ebcf307087
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Jun 16 20:42:22 2008 +0000

    Update the NEWS file as par the latest change.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1091 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog | 6 ++++++
 NEWS      | 3 +++
 2 files changed, 9 insertions(+)

commit cd46dc06ebf104ba5e3406a4e18fe93653c77d9b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Jun 16 20:34:21 2008 +0000

    Fix distcheck.
    
    Use 'top_srcdir' variable in Makefile.am rather than relative paths.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1090 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 9 +++++++++
 src/av-cp/Makefile.am         | 3 ++-
 src/network-light/Makefile.am | 2 +-
 src/universal-cp/Makefile.am  | 2 +-
 4 files changed, 13 insertions(+), 3 deletions(-)

commit 10a579605d95107ad85a266b6dbfd64237cedb8d
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Jun 16 20:22:59 2008 +0000

    Prepare NEWS file for release.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1089 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog |  6 ++++++
 NEWS      | 13 +++++++++++++
 2 files changed, 19 insertions(+)

commit 78bbc1f46c0a67012e901a14385f6405b4097458
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Jun 16 20:22:51 2008 +0000

    Bump version to 0.6.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1088 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 3 ++-
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 3679b28b5caacd29eb56414912d0766855cbfe19
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Jun 16 20:22:37 2008 +0000

    Require gupnp 0.12 and gupnp-av 0.2.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1087 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit ffc17ffc570e8866ca37353c689088f716fb18e6
Author: Jorn Baayen <jorn@openedhand.com>
Date:   Tue Jun 3 17:33:56 2008 +0000

    2008-06-03  Jorn Baayen  <jorn@openedhand.com>
    
    	* src/network-light/upnp.c (init_upnp):
    
    	Update for new gupnp_root_device_new() API.
    
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1021 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 6 ++++++
 src/network-light/upnp.c | 7 ++++---
 2 files changed, 10 insertions(+), 3 deletions(-)

commit c8f4d34654a8a6a68af1a3835b46e544ab8664c1
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Jun 2 13:02:00 2008 +0000

    Create a new UUID for each instance of network-light.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@1015 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                |   7 +++
 src/network-light/upnp.c | 124 ++++++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 125 insertions(+), 6 deletions(-)

commit 2670c8c76d7b7cf6937a9878db42ade0113ac3dd
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun May 25 21:48:15 2008 +0000

    Remove the unneeded periodic notification to susbscribers.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@991 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                |  6 ++++++
 src/network-light/upnp.c | 20 --------------------
 2 files changed, 6 insertions(+), 20 deletions(-)

commit 74e7547d2dba0d0101429aed542bea7474ff28ee
Author: Jorn Baayen <jorn@openedhand.com>
Date:   Thu May 22 16:57:33 2008 +0000

    2008-05-22  Jorn Baayen  <jorn@openedhand.com>
    
    	* configure.ac:
    
    	Require gupnp 0.10.1.99.
    
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@983 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 49857b2c50f9c1da6db305c8904477730d35bf2f
Author: Ross Burton <ross@openedhand.com>
Date:   Thu May 22 10:36:32 2008 +0000

    2008-05-22  Ross Burton  <ross@openedhand.com>
    
    	* src/universal-cp/details-treeview.c:
    	Display the device presentation URL (requires libgupnp from svn).
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@977 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                           | 5 +++++
 src/universal-cp/details-treeview.c | 2 ++
 2 files changed, 7 insertions(+)

commit 7e5bf713f9b4cfd2b97ff5d9a9ba6199104e1d15
Author: Jorn Baayen <jorn@openedhand.com>
Date:   Mon May 19 20:34:04 2008 +0000

    0.4
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@964 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 NEWS         | 4 ++--
 configure.ac | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 5abaf0deb2ae845640c178818e815b2d40743c05
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu May 15 16:09:20 2008 +0000

    Require the correct version of gupnp.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@956 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 5b2cbe6b062adc7aea1586384b3dd838d86e45f9
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu May 15 16:09:11 2008 +0000

    Prepare NEWS file for release.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@955 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog | 6 ++++++
 NEWS      | 6 ++++++
 2 files changed, 12 insertions(+)

commit 96998d0c2109fc8dd3f29382dd143d5fe815ce93
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun May 4 17:29:41 2008 +0000

    Add iterative browsing support.
    
    Request 64 objects of a container, at a time and keep browsing till we get all
    objects.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@909 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 ++++
 src/av-cp/playlist-treeview.c | 83 +++++++++++++++++++++++++++++++++++++------
 2 files changed, 80 insertions(+), 10 deletions(-)

commit d9a8465e18338a4b68a13cf3db808098b633dd4f
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Apr 16 21:55:55 2008 +0000

    Update soup_session_queue_message() callback signature according to the new API.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@869 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog          | 7 +++++++
 src/common/icons.c | 3 ++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 1e275437f5773bdf47a8b4830f20ddf7cb4e12a2
Author: Jorn Baayen <jorn@openedhand.com>
Date:   Mon Apr 14 21:58:50 2008 +0000

    2008-04-15  Jorn Baayen  <jorn@openedhand.com>
    
    	* configure.ac:
    	* src/common/icons.c (get_icon_from_message),
    	(schedule_icon_update), (unschedule_icon_update), (deinit_icons):
    	* src/universal-cp/details-treeview.c (show_service_details),
    	(show_device_details):
    
    	Port to libsoup 2.4.
    
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@863 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                           | 10 ++++++++++
 configure.ac                        |  6 +++---
 src/common/icons.c                  | 17 ++++++++---------
 src/universal-cp/details-treeview.c |  8 ++++----
 4 files changed, 25 insertions(+), 16 deletions(-)

commit 2b952cb05acdaf0a2eb72e768277f28c941b273a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Apr 1 23:03:25 2008 +0000

    Update NEWS and README files for next (0.3) release.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@857 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog |  7 +++++++
 NEWS      | 14 ++++++++++++++
 README    |  4 ++++
 3 files changed, 25 insertions(+)

commit 9ade0dcc171c5ee66351e05e6ad113325ab223f0
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Apr 1 22:26:45 2008 +0000

    Bump-up the version.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@856 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 6d3c4e1d0d609aba2abc4ce27b800773bb3f1d37
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Apr 1 21:27:52 2008 +0000

    Remove now useless FIXME comments.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@854 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 7 +++++++
 src/av-cp/renderer-combo.c    | 2 --
 src/av-cp/renderer-controls.c | 2 --
 3 files changed, 7 insertions(+), 4 deletions(-)

commit cbeb1b2dafe5a5d1d49c1d41d294bf61895cda41
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Apr 1 00:00:19 2008 +0000

    Add icons to desktop entries.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@853 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                              | 8 ++++++++
 data/gupnp-av-cp.desktop.in.in         | 1 +
 data/gupnp-network-light.desktop.in.in | 1 +
 data/gupnp-universal-cp.desktop.in.in  | 1 +
 4 files changed, 11 insertions(+)

commit cb239f96d8b30e9c12546fd86eed6b83622e7920
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Apr 1 00:00:09 2008 +0000

    Create desktop files as part of build.
    
    Create desktop files as part of build to be able to substitute variables like
    prefix in them.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@852 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                              | 14 ++++++++++++++
 configure.ac                           |  3 +++
 data/Makefile.am                       | 15 ++++++++++++---
 data/gupnp-av-cp.desktop               |  8 --------
 data/gupnp-av-cp.desktop.in.in         |  8 ++++++++
 data/gupnp-network-light.desktop       |  8 --------
 data/gupnp-network-light.desktop.in.in |  8 ++++++++
 data/gupnp-universal-cp.desktop        |  8 --------
 data/gupnp-universal-cp.desktop.in.in  |  8 ++++++++
 9 files changed, 53 insertions(+), 27 deletions(-)

commit ca1d6e3d06bb1efc57097c41f5f1e0cb7bdc1ad4
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Mar 21 14:38:18 2008 +0000

    No need to do any magic for being version agostic to services anymore.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@851 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 ++++
 src/av-cp/playlist-treeview.c | 24 ++------------
 src/av-cp/renderer-combo.c    | 74 ++++++-------------------------------------
 3 files changed, 20 insertions(+), 85 deletions(-)

commit 4ac079e56b5277e4072d9bffaca799dc0f440fb0
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Mar 16 00:04:39 2008 +0000

    API update: _parse_didl() now returns a boolean and takes an error arg.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@841 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 src/av-cp/playlist-treeview.c | 16 ++++++++++++----
 src/av-cp/renderer-controls.c | 11 +++++++++--
 3 files changed, 28 insertions(+), 6 deletions(-)

commit 59dd5c62487a2825a17368936396c16943c66b5e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Mar 16 00:04:31 2008 +0000

    API update: "instance-id" is no longer a property of parser object.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@840 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  | 6 ++++++
 src/av-cp/renderer-combo.c | 4 +++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 13fac66570f7f6c04005552d1e20cbaad450b0c2
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Mar 16 00:04:22 2008 +0000

    Use generic getters for 'res' property and it's attributes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@839 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  4 +++-
 src/av-cp/renderer-controls.c | 10 ++++++----
 2 files changed, 9 insertions(+), 5 deletions(-)

commit 8b6294fac551c1b7b682c0c3806a9e721d92d745
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Mar 16 00:04:14 2008 +0000

    API update: Use specific getters for basic DIDL props.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@838 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 7 +++++++
 src/av-cp/playlist-treeview.c | 5 ++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit 0c5a7f48070b2f8afb98d0d8644a3859f0db6dbb
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Mar 11 12:30:20 2008 +0000

    API update: Use generic getters for standard DIDL props.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@832 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 6 ++++++
 src/av-cp/playlist-treeview.c | 5 +++--
 2 files changed, 9 insertions(+), 2 deletions(-)

commit aa7dea5a93ce5aa13fc044a2d94876e34bb5f87f
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Mar 4 22:14:45 2008 +0000

    Better error handling in browse callbacks.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@812 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  6 ++++++
 src/av-cp/playlist-treeview.c | 50 +++++++++++++++++++------------------------
 2 files changed, 28 insertions(+), 28 deletions(-)

commit ae5357f4359ba3ffd77f8a7c8725bf2a7dbf45fb
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 25 23:17:39 2008 +0000

    API update: Use g_type_init() instead of gupnp_av_init().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@807 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog        | 6 ++++++
 src/av-cp/main.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit effb7ac263f5cfbb5d010d7bf862a8c161817e3c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 25 23:17:30 2008 +0000

    API update: 'instance-id' is now a property of LastChange parser object.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@806 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  | 6 ++++--
 src/av-cp/renderer-combo.c | 4 +---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 4ee9b045cd3d6a85443330f036a3280ce5e16ea1
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 25 23:17:21 2008 +0000

    API update: We now need a LastChange parser for parsing LastChange events.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@805 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  7 +++++++
 src/av-cp/renderer-combo.c | 40 ++++++++++++++++++++++------------------
 2 files changed, 29 insertions(+), 18 deletions(-)

commit 95a8249255807cf9aea719c84158bd9fe9d3a70d
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 24 23:39:51 2008 +0000

    No need to pass error argument to gupnp_service_proxy_begin_action*() anymore.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@799 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        | 10 ++++++
 src/av-cp/playlist-treeview.c    | 18 +----------
 src/av-cp/renderer-combo.c       | 45 ---------------------------
 src/av-cp/renderer-controls.c    | 67 ----------------------------------------
 src/universal-cp/action-dialog.c | 14 ---------
 5 files changed, 11 insertions(+), 143 deletions(-)

commit f10ef1d8508515ea0ef582164c028840c38f7c7c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 24 23:39:40 2008 +0000

    Handle 'TRANSITIONING' state.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@798 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 7 +++++++
 src/av-cp/renderer-combo.c    | 5 ++++-
 src/av-cp/renderer-controls.c | 9 +++++++++
 3 files changed, 20 insertions(+), 1 deletion(-)

commit 833452e55c964ad5e062170d5826c2e563843cad
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 24 23:39:32 2008 +0000

    Add tooltip to 'clear state' button.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@797 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              | 6 ++++++
 data/gupnp-av-cp.glade | 1 +
 2 files changed, 7 insertions(+)

commit cfc7b809d8b1a91c615cd1006d82db8c7cf7f1dc
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 24 23:39:25 2008 +0000

    Don't ref the service proxy upon adding a notify on it.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@796 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  | 6 ++++++
 src/av-cp/renderer-combo.c | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit c21705a4ec23ae643229c6a7cb563cfc42f8b232
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 24 23:39:17 2008 +0000

    Small cleanup change.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@795 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 6 ++++++
 src/av-cp/playlist-treeview.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 0efd982f78107bafd18969eb6fd10806196ea687
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Feb 14 09:51:07 2008 +0000

    Correct a typo in Seek implementation.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@779 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 6 ++++++
 src/av-cp/renderer-controls.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit f0499dfa5f45b1de661cc6140c2d14019e9cd25b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Feb 14 09:50:59 2008 +0000

    Try to get the duration from item metadata.
    
    This is to deal with renderers that do not event 'CurrentMediaDuration' through
    LastChange.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@778 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 ++++
 src/av-cp/renderer-controls.c | 90 +++++++++++++++++++++++++++++++++++++------
 src/av-cp/renderer-controls.h |  2 +
 3 files changed, 88 insertions(+), 12 deletions(-)

commit d9125e8067f27203399ff1d81cb2b9ec47e758c6
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Feb 14 09:50:50 2008 +0000

    No need to create the resource hashtable, just use the resources GList.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@777 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  6 +++++
 src/av-cp/renderer-controls.c | 58 +++++++++++++++++++++++++++----------------
 2 files changed, 42 insertions(+), 22 deletions(-)

commit c9be3d4ece16997d4cf2ba635d42fcce5321683e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Feb 14 09:50:41 2008 +0000

    Don't keep the resource hashtable but rather create it on the fly when needed.
    
    Don't keep the resource hashtable in the playlist treemodel but rather create
    it from metadata before setting the URI on the renderer.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@776 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  10 ++
 src/av-cp/playlist-treeview.c | 216 +---------------------------------------
 src/av-cp/playlist-treeview.h |   3 +-
 src/av-cp/renderer-controls.c | 224 +++++++++++++++++++++++++++++++++++++++++-
 src/av-cp/renderer-controls.h |   3 +-
 5 files changed, 237 insertions(+), 219 deletions(-)

commit 49a6e4b676d19f577eb9e9d42f6b655996317790
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Feb 14 09:50:30 2008 +0000

    Move get_resource_hash() to gupnp-av and rename accordingly.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@775 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  6 ++++++
 src/av-cp/playlist-treeview.c | 48 ++-----------------------------------------
 2 files changed, 8 insertions(+), 46 deletions(-)

commit 01be2af20f0f60ab87e39800e1a3dedb8fd9a8d3
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Feb 14 09:50:14 2008 +0000

    Enable the user to clear the state of the currently selected renderer.
    
    This is useful in dealing with crapy renderers out there that don't emit
    LastChange events for state changes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@774 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 11 ++++++
 data/gupnp-av-cp.glade        | 80 +++++++++++++++++++++++++++++++++++++++++++
 src/av-cp/renderer-combo.c    | 16 +++++++++
 src/av-cp/renderer-combo.h    |  3 ++
 src/av-cp/renderer-controls.c |  7 ++++
 5 files changed, 117 insertions(+)

commit a450841eb17a0698b4c17d03d4b2ee7864d33c57
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Feb 14 09:50:01 2008 +0000

    Refactor: put the state setting into a separate function.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@773 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  6 ++++++
 src/av-cp/renderer-combo.c | 38 +++++++++++++++++++++++---------------
 2 files changed, 29 insertions(+), 15 deletions(-)

commit 52ea557ec34720e42b05499af969a55864e4ec37
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Feb 14 09:49:52 2008 +0000

    About dialog should have a '12' pixels wide border.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@772 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              | 6 ++++++
 data/gupnp-av-cp.glade | 1 +
 2 files changed, 7 insertions(+)

commit 16342c36083d64376739cd5461dcd21ee7b19e22
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Feb 12 00:47:27 2008 +0000

    Take wildcard into account when matching ProtocolInfo.
    
    Take wildcard into account when matching transport and content format fields of
    ProtocolInfo.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@769 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 2 ++
 src/av-cp/playlist-treeview.c | 6 ++++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 5ef6a60c0347203071a388bdff8e659db89be3ff
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Feb 12 00:47:14 2008 +0000

    Refer to the ProtocolInfo fields by terms used by UPnP AV specs.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@768 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  1 +
 src/av-cp/playlist-treeview.c | 31 +++++++++++++++++--------------
 2 files changed, 18 insertions(+), 14 deletions(-)

commit ce9ef58855876b34e9a8d8cd2ec84c55972da29b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Feb 12 00:47:02 2008 +0000

    Implement comparison of extra field of ProtocolInfo.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@767 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  1 +
 src/av-cp/playlist-treeview.c | 58 +++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 57 insertions(+), 2 deletions(-)

commit 09ca7282709366e7fbf018015e39fac84fadcc09
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Feb 12 00:46:53 2008 +0000

    Pass arguments in correct order to ProtocolInfo comparison functions.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@766 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  3 ++-
 src/av-cp/playlist-treeview.c | 12 ++++++------
 2 files changed, 8 insertions(+), 7 deletions(-)

commit 6a27a17e7836ff05103f28e00a7c3d15a4b7c174
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Feb 12 00:46:41 2008 +0000

    Fix a typo.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@765 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 6 ++++++
 src/av-cp/playlist-treeview.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 4d1eaa01ba4b688faac356ef56d2ddc5e8ad9b37
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Feb 12 00:46:26 2008 +0000

    Refactor: Put the timeout adding code into a separare function.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@764 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  1 +
 src/av-cp/renderer-controls.c | 16 +++++++++++-----
 2 files changed, 12 insertions(+), 5 deletions(-)

commit 51058f70d8a8878a3115dc68db9e801f54ae5902
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:20:42 2008 +0000

    Unit for 'Seek' is "ABS_TIME" rather than "TIME".
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@763 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 1 +
 src/av-cp/renderer-controls.c | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 1518bba0dc89f8f56c491d6d736a3045a371e264
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:20:34 2008 +0000

    Correct the signature of "value-changed" signal handler.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@762 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 5 +++--
 src/av-cp/renderer-controls.c | 4 +---
 2 files changed, 4 insertions(+), 5 deletions(-)

commit a0df7ce26eb1bce223a64f4ae9ecd5e60762214c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:20:26 2008 +0000

    Block the signal handlers on the scales when the value is set by the app.
    
    Block the 'value-changed' signal handlers on the scales when the value
    is changed by the application rather than user.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@761 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 src/av-cp/renderer-controls.c | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

commit 63d97130a9de68cd8104597c3ce21c44f2f99223
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:20:17 2008 +0000

    Implement seeking.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@760 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  6 ++++++
 src/av-cp/renderer-controls.c | 21 +++++++++++++++++++++
 2 files changed, 27 insertions(+)

commit 7844e9173dd81f739db595e00c7ab36955f9b9b4
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:20:09 2008 +0000

    Update the controls when the renderer selection changes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@759 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  | 6 ++++++
 src/av-cp/renderer-combo.c | 3 +++
 2 files changed, 9 insertions(+)

commit cdca68532059df94253e21aa744885ab5d6679cf
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:20:01 2008 +0000

    Rename update_playback_controls_sensitivity() to prepare_controls_for_state().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@758 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 9 +++++++++
 src/av-cp/renderer-combo.c    | 2 +-
 src/av-cp/renderer-controls.c | 2 +-
 src/av-cp/renderer-controls.h | 3 +--
 4 files changed, 12 insertions(+), 4 deletions(-)

commit ef2a5395ad4a15fa132e0f214850a6a6ba47d780
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:19:51 2008 +0000

    Track media position of currently selected renderer.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@757 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |   6 +++
 src/av-cp/renderer-controls.c | 104 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 110 insertions(+)

commit 77f437ebf5b5211b466a9e875794277ed3045a81
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:19:43 2008 +0000

    Fix and refactor some bad code.
    
    - No need to strdup() udn for each callback as the callback can get a const
      reference to udn from the service proxy, itself.
    - Fix the proxy (un)ref'ing.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@756 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  8 ++++
 src/av-cp/renderer-combo.c | 92 +++++++++++++++++++---------------------------
 2 files changed, 46 insertions(+), 54 deletions(-)

commit 5bb24234b7772d50ae491564c14f8761de283c52
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:19:35 2008 +0000

    Add function to set the position of position hscale.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@755 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 src/av-cp/renderer-controls.c | 11 +++++++++++
 src/av-cp/renderer-controls.h |  3 +++
 3 files changed, 21 insertions(+)

commit ef118fe2673249b399f80b5190d1b4dcbaee68e8
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:19:26 2008 +0000

    Track media duration instead of track duration.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@754 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  6 ++++++
 src/av-cp/renderer-combo.c | 18 +++++++++---------
 2 files changed, 15 insertions(+), 9 deletions(-)

commit a3d0a707d5d2eb15ffd776aa2706d3364619d300
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Feb 11 12:19:17 2008 +0000

    Keep track of current track duration on each renderer.
    
    Keep track of current track duration on each renderer, both in
    renderer treemodel and renderer control UI.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@753 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |   9 ++++
 src/av-cp/renderer-combo.c    | 100 +++++++++++++++++++++++++++++++++++++++---
 src/av-cp/renderer-controls.c |  49 +++++++++++++++++++++
 src/av-cp/renderer-controls.h |   3 ++
 4 files changed, 156 insertions(+), 5 deletions(-)

commit 20c7274b0185d516b2141af1cd242d85e71ec092
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:55:24 2008 +0000

    Keep the sensitivity of playback controls in sync with renderer state.
    
    Update the sensitivity of playback controls based on state of currently selected renderer.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@748 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  9 ++++++
 src/av-cp/renderer-combo.c    | 64 +++++++++++++++++++++++--------------------
 src/av-cp/renderer-controls.c | 42 ++++++++++++++++++++++++++++
 src/av-cp/renderer-controls.h |  4 +++
 4 files changed, 89 insertions(+), 30 deletions(-)

commit 83a398c9bc9f8e0baa266763b349112e1ba6e504
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:55:14 2008 +0000

    Set the renderer combo insensitive when state is PLAYING/PAUSED and viceversa.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@747 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  | 4 +++-
 src/av-cp/renderer-combo.c | 7 +++++++
 2 files changed, 10 insertions(+), 1 deletion(-)

commit 7732aca635477efdf13e5b6bb4dccf40c834d1f0
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:55:06 2008 +0000

    A small cosmetic change.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@746 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  | 6 ++++++
 src/av-cp/renderer-combo.c | 8 ++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 6eff74d1db4ef40e824dae5ded8f9636497dac7c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:54:57 2008 +0000

    Use glade for connecting all treeview signals.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@745 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  3 ++-
 data/gupnp-av-cp.glade        |  2 ++
 src/av-cp/playlist-treeview.c | 14 ++------------
 3 files changed, 6 insertions(+), 13 deletions(-)

commit c99a653f4f35ae8037e94002fccf0eff19489d95
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:54:46 2008 +0000

    Play selected item on playlist row activation.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@744 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 7 +++++++
 data/gupnp-av-cp.glade        | 2 +-
 src/av-cp/playlist-treeview.c | 6 ------
 3 files changed, 8 insertions(+), 7 deletions(-)

commit 249ec3a0b20f6b08596c02e055e335378aa33b3c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:54:35 2008 +0000

    Do not allow selection of containers.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@743 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  1 +
 src/av-cp/playlist-treeview.c | 31 +++++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+)

commit 46daf685d013ec8a813e5a29cdf779b6111a8eca
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:54:27 2008 +0000

    Mark MediaServer as container.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@742 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 1 +
 src/av-cp/playlist-treeview.c | 1 +
 2 files changed, 2 insertions(+)

commit d43c1cbb9ef790e56c7f8b648134a19dec97c21a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:54:19 2008 +0000

    Set the renderer's state to STOPPED if a non-item is selected while PLAYING.
    
    Set the renderer's state to STOPPED if a non-item is selected while
    the renderer's state is set to PLAYING/PAUSED.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@741 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 4 +++-
 src/av-cp/playlist-treeview.c | 8 +++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 70a9b65dccf4be8a9de15a4c3479067c3212da2c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:54:10 2008 +0000

    Make av_transport_send_action() public.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@740 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 5 +++++
 src/av-cp/renderer-controls.c | 2 +-
 src/av-cp/renderer-controls.h | 4 ++++
 3 files changed, 10 insertions(+), 1 deletion(-)

commit 94b435adba101ebdb3aa48e3a2ca247d549bd06f
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Feb 3 23:53:55 2008 +0000

    get_selected_item() returns a boolean indicating success.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@739 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 src/av-cp/playlist-treeview.c | 16 +++++++++++-----
 src/av-cp/playlist-treeview.h |  2 +-
 3 files changed, 19 insertions(+), 6 deletions(-)

commit f004857ed72af1e8a1ffafcd27739caec1491493
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Jan 31 22:49:40 2008 +0000

    Listen to and act on Container updates.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@736 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  1 +
 src/av-cp/playlist-treeview.c | 80 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

commit bddd40373cdcdad37183d8cf0d0a9a698107180c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Jan 31 22:49:26 2008 +0000

    Remove a FIXME comment that is not valid anymore.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@735 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 5 +++--
 src/av-cp/playlist-treeview.c | 5 -----
 2 files changed, 3 insertions(+), 7 deletions(-)

commit e649a4b661dd54950ea4b55b4f1a13dcf8af6aca
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Jan 31 22:49:10 2008 +0000

    Refactor: Put the code to unpopulate a container node, into a separate function.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@734 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 src/av-cp/playlist-treeview.c | 27 +++++++++++++++++----------
 2 files changed, 24 insertions(+), 10 deletions(-)

commit e4d7e36706a11810ba795c9cfd32683c3fad32e5
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Jan 29 23:14:01 2008 +0000

    Only free the metadata if we actually get it and unify come coding style.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@730 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 src/av-cp/playlist-treeview.c | 16 +++++++---------
 2 files changed, 14 insertions(+), 9 deletions(-)

commit cb1150dd3356faf171683352b3c952c2b56d6834
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Jan 29 22:52:36 2008 +0000

    Ref the service proxy before _begin_action() and unref it in callback.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@729 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 +++++---
 src/av-cp/playlist-treeview.c | 17 ++++++++++++++---
 2 files changed, 19 insertions(+), 6 deletions(-)

commit edf79475326a25df5d93ad4618e387e65d852274
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Jan 29 22:52:28 2008 +0000

    Containers should only be browsed if they are visible.
    
    Containers should only be browsed if they are visible. This should
    eliminate the problem of initial browsing taking down the whole
    system.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@728 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 +++++
 src/av-cp/playlist-treeview.c | 79 +++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 84 insertions(+), 3 deletions(-)

commit 328b3207e59653f206e75c68ac4b7e12bd66fc44
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Jan 29 22:52:11 2008 +0000

    Implement volume control.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@727 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  4 +++
 src/av-cp/renderer-controls.c | 76 +++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 77 insertions(+), 3 deletions(-)

commit b209e9a1b2f7499cd4d4ed81577a7a95be0ea132
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Jan 29 22:52:03 2008 +0000

    Add functions to get currently selected Renderer's RenderingControl and
    volume.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@726 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  8 ++++++++
 src/av-cp/renderer-combo.c | 48 ++++++++++++++++++++++++++++++++++++++++++++++
 src/av-cp/renderer-combo.h |  6 ++++++
 3 files changed, 62 insertions(+)

commit 04e25417edb6e3fde8844f18b18ea72d07f92140
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Jan 29 22:51:53 2008 +0000

    Listen to 'value-changed' signal rather than 'change-value'.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@725 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 data/gupnp-av-cp.glade        |  4 ++--
 src/av-cp/renderer-controls.c | 16 ++++++++--------
 3 files changed, 17 insertions(+), 10 deletions(-)

commit 25d53b3a36819294d0e08e095f441adbbf508782
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Jan 29 22:51:42 2008 +0000

    The update policy of GtkScale widgets should be 'discontinuous'
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@724 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              | 6 ++++++
 data/gupnp-av-cp.glade | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 5414a08452e75686c4bccdbb1534d6dfbae00dce
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Jan 28 18:47:08 2008 +0000

    Supply metadata to SetAVTransportURI action.
    
    Supply metadata to SetAVTransportURI action and retrieve the metadata
    on the fly each time before setting the URI.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@722 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  10 +++
 src/av-cp/playlist-treeview.c | 161 ++++++++++++++++++++++++++++++++++--------
 src/av-cp/playlist-treeview.h |  13 ++--
 src/av-cp/renderer-controls.c |  20 ++----
 src/av-cp/renderer-controls.h |   6 +-
 5 files changed, 159 insertions(+), 51 deletions(-)

commit a4390075abb23fdf93f9430fc250c5967cf7677e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Jan 28 18:46:56 2008 +0000

    Work around for version-agnostic service proxy retreival/creation.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@721 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |   7 +++
 src/av-cp/playlist-treeview.c |  26 +++++++----
 src/av-cp/renderer-combo.c    | 100 +++++++++++++++++++++++++++++-------------
 3 files changed, 95 insertions(+), 38 deletions(-)

commit 28fcab3c0b3ecd191f6ad14d4c5337dd4882bf54
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Jan 28 18:46:42 2008 +0000

    Compare individual parts of the res and protocol info.
    
    Compare individual parts of the res and protocol info rather than
    using glob pattern matching.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@720 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 ++++
 src/av-cp/playlist-treeview.c | 79 ++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 82 insertions(+), 4 deletions(-)

commit 25ff78e9e04817a0c7f503334527801975ada9ea
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 23:23:54 2008 +0000

    Set the volume-vscale accordingly whenever renderer selection, changes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@719 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  2 +-
 src/av-cp/renderer-combo.c | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+), 1 deletion(-)

commit f80b5a189254c835209a90e67dfe3c16482a799a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 23:23:46 2008 +0000

    Keep the volume-vscale up2date with the volume of the renderer.
    
    Set the volume-vscale accordingly whenever the volume of the currently
    selected renderer, changes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@718 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 ++++++++
 src/av-cp/renderer-combo.c    | 39 +++++++++++++++++++++++++++++++++++++++
 src/av-cp/renderer-controls.c |  6 ++++++
 src/av-cp/renderer-controls.h |  3 +++
 4 files changed, 56 insertions(+)

commit 32d120256f9ab6285f8ff0f55e05db4eacef9a34
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 23:23:36 2008 +0000

    Keep a reference to all renderer control widgets.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@717 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  5 ++++-
 src/av-cp/gui.c               |  2 ++
 src/av-cp/renderer-controls.c | 34 ++++++++++++++++++++++++++++++++++
 src/av-cp/renderer-controls.h |  3 +++
 4 files changed, 43 insertions(+), 1 deletion(-)

commit c579dc27f5672efbaed038308dc124bc237b41db
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 23:23:26 2008 +0000

    Remove some functions that got copied by mistake.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@716 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 6 ++++++
 src/av-cp/renderer-controls.h | 9 ---------
 2 files changed, 6 insertions(+), 9 deletions(-)

commit 155ef8a90f4db09caf381a3f7de913337d3b3cec
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 23:23:16 2008 +0000

    Keep track of the Master volume of each MediaRenderer.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@715 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |   6 +++
 src/av-cp/renderer-combo.c | 121 ++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 125 insertions(+), 2 deletions(-)

commit b50811b52d1843e352fe08530cce436ca97fbf92
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 23:23:07 2008 +0000

    Keep the RenderingControl proxy in renderer combo as well.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@714 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  6 +++++
 src/av-cp/renderer-combo.c | 67 +++++++++++++++++++++++++++++++++++-----------
 2 files changed, 57 insertions(+), 16 deletions(-)

commit 455b27b5c3969863df8b73dc5bb87a742058c0cf
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 14:35:23 2008 +0000

    Implement next/prev controls (locally).
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@713 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 ++++++++
 src/av-cp/playlist-treeview.c | 46 +++++++++++++++++++++++++++++++++++++++++++
 src/av-cp/playlist-treeview.h |  6 ++++++
 src/av-cp/renderer-controls.c |  2 ++
 4 files changed, 62 insertions(+)

commit 235ee27432439135f6d3cd6421b810eb21a0dbf7
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 14:35:12 2008 +0000

    Check if we have a hashtable before unref'ing it.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@712 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 5 +++--
 src/av-cp/playlist-treeview.c | 4 +++-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit bcab5ecb98374d9cb4c579e8ce22711d1787bffe
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 14:35:03 2008 +0000

    Item selection sets the URI on the renderer if it's in PLAYING/PAUSED state.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@711 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 src/av-cp/playlist-treeview.c | 19 +++++++++++++++++++
 2 files changed, 26 insertions(+)

commit 1a4671adf6dc0f7663091a05e269d809e5761899
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 14:34:55 2008 +0000

    Add the forgotten renderer-controls.h file to build and VCS.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@710 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  5 +++++
 src/av-cp/Makefile.am         |  3 ++-
 src/av-cp/renderer-controls.h | 44 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 51 insertions(+), 1 deletion(-)

commit 7f65fa69ff0cb044e27fee46c2156cb217015b22
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 14:34:46 2008 +0000

    Make the AV URI setting function more generic and public.
    
    Make the AV URI setting function more:
    - generic (Takes Callback to call after URI is set)
    - public.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@709 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 ++++++
 src/av-cp/renderer-controls.c | 61 +++++++++++++++++++++++++++++++++----------
 2 files changed, 55 insertions(+), 14 deletions(-)

commit a64ccbbee5835ac7a382ab6b1043e4100bda2443
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 27 14:34:35 2008 +0000

    get_selected_item() returns the URI instead of resource_hash.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@708 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 +++++
 src/av-cp/playlist-treeview.c | 83 +++++++++++++++++++++++++++++++++++--------
 src/av-cp/playlist-treeview.h |  2 +-
 src/av-cp/renderer-controls.c | 54 ++++------------------------
 4 files changed, 85 insertions(+), 62 deletions(-)

commit abc72513e191a492d522ca53ac35f1cc63e7b585
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Jan 24 00:20:41 2008 +0000

    Update according to the recent gupnp-av API changes.
    
    * src/av-cp/main.c:
    
    Use UPnP types to differentiate the devices rather than GTypes.
    
    * src/av-cp/playlist-treeview.c:
    * src/av-cp/playlist-treeview.h:
    
    - Use GUPnPDeviceProxy rather than now removed GUPnPMediaServerProxy.
    - Move and adapt code from GUPnPMediaServerProxy for 'browse'.
    
    * src/av-cp/renderer-combo.c:
    * src/av-cp/renderer-combo.h:
    
    Use GUPnPDeviceProxy rather than now removed GUPnPMediaRendererProxy.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@706 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  17 +++
 src/av-cp/main.c              |  27 +++--
 src/av-cp/playlist-treeview.c | 233 +++++++++++++++++++++++++++++++-----------
 src/av-cp/playlist-treeview.h |   4 +-
 src/av-cp/renderer-combo.c    |  10 +-
 src/av-cp/renderer-combo.h    |   4 +-
 6 files changed, 216 insertions(+), 79 deletions(-)

commit 44d976201c6c0e201087f023d3284fb398ed8fdc
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Jan 16 20:47:14 2008 +0000

    Fix a small typo.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@684 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             | 6 ++++++
 src/av-cp/Makefile.am | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit ba2fa73e5c3067982874aeb3e9ea0c8956111581
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 13 00:17:38 2008 +0000

    Refactor: Move the load_pixbuf_file() into common icon module and use
    that function in that module as well.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@671 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 12 ++++++++++++
 src/av-cp/gui.c               | 16 ----------------
 src/common/icons.c            | 26 +++++++++++++++++---------
 src/common/icons.h            |  3 +++
 src/network-light/Makefile.am |  5 +++--
 src/network-light/gui.c       | 17 +----------------
 src/universal-cp/gui.c        | 16 ----------------
 7 files changed, 36 insertions(+), 59 deletions(-)

commit fea305d98ad9ac9ab4f32409ef771b1832d06f7c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Jan 13 00:17:16 2008 +0000

    Add icons for universal-cp and av-cp.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@670 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  11 +++++++++++
 data/pixmaps/Makefile.am      |   4 +++-
 data/pixmaps/av-cp.png        | Bin 0 -> 19503 bytes
 data/pixmaps/universal-cp.png | Bin 0 -> 20654 bytes
 src/av-cp/gui.c               |  27 +++++++++++++++++++++++++++
 src/universal-cp/gui.c        |  29 +++++++++++++++++++++++++++++
 6 files changed, 70 insertions(+), 1 deletion(-)

commit ea3368dc1913ee00e04a736486c9f20a9dd067c6
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:55:00 2007 +0000

    Subscribe to LastChange event to be notified of the state changes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@660 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  3 ++-
 src/av-cp/renderer-combo.c | 43 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 1 deletion(-)

commit 0dce153c92bf7c6497fc6c55f3dc5c4808712634
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:54:51 2007 +0000

    Move some static functions to the top of the file.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@659 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  6 ++++
 src/av-cp/renderer-combo.c | 82 +++++++++++++++++++++++-----------------------
 2 files changed, 47 insertions(+), 41 deletions(-)

commit 2251dd0eac5578e5b4432a89fed285472f381865
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:54:42 2007 +0000

    Refactor: Put all the code that sets the state in the treemodel into a separate function.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@658 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  7 +++++++
 src/av-cp/renderer-combo.c | 41 ++++++++++++++++++++++++-----------------
 2 files changed, 31 insertions(+), 17 deletions(-)

commit 1e30fa6a576ad39ac47f9cd1cc92e778c6c6fd33
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:54:33 2007 +0000

    Implement get_selected_renderer_state().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@657 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  1 +
 src/av-cp/renderer-combo.c | 20 +++++++++++++++++++-
 2 files changed, 20 insertions(+), 1 deletion(-)

commit fa384807d5391266d6611ec856a4bae52cf31ab2
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:54:24 2007 +0000

    Use 'AVTransport::GetTransportInfo' to retreive the state in the beginning.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@656 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  2 +
 src/av-cp/renderer-combo.c | 94 ++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

commit bd60c6d1af75572ad48d46f737085fd5a0b02c41
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:54:15 2007 +0000

    Keep the av_transport's playback state in the treemodel.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@655 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  | 1 +
 src/av-cp/renderer-combo.c | 6 ++++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 8fa128c295232caf5a856e359efa90328a6fcaec
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:54:07 2007 +0000

    Get/Create the av_transport proxy in the add_media_renderer().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@654 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  5 +++--
 src/av-cp/renderer-combo.c | 17 ++++++++++-------
 2 files changed, 13 insertions(+), 9 deletions(-)

commit 37752cec2b04d99eeba2d0a1f6a245a27bc838f4
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:53:57 2007 +0000

    get_av_transport() takes and returns a proxy rather than an info object.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@653 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  7 +++++++
 src/av-cp/renderer-combo.c | 16 +++++++++-------
 2 files changed, 16 insertions(+), 7 deletions(-)

commit 46a277601655d9e52cd84e0715b9e583d9c140b0
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:53:48 2007 +0000

    Fix a potential leak.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@652 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  | 5 +++--
 src/av-cp/renderer-combo.c | 1 +
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 859d1afddd6d1ceee0f3c5505d73b087e15224fa
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:53:38 2007 +0000

    Replace the GetProtocolInfoData with a duplicate of udn since that is
    all that is needed in the get_protocol_info_cb().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@651 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  7 ++++++
 src/av-cp/renderer-combo.c | 55 ++++++++++++++++------------------------------
 2 files changed, 26 insertions(+), 36 deletions(-)

commit 68c29353c7aa0c82a4d9d2e4c0876c6096fdf115
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:53:27 2007 +0000

    Replace get_selected_renderer() with get_selected_av_transport().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@650 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 ++++++++
 src/av-cp/renderer-combo.c    | 23 ++++++++---------------
 src/av-cp/renderer-combo.h    |  5 ++---
 src/av-cp/renderer-controls.c | 33 +++++++++++++--------------------
 4 files changed, 31 insertions(+), 38 deletions(-)

commit 82680d1caa27bc0bf3f19800b83b5c8e420d6d7c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 31 11:53:17 2007 +0000

    Refactor: Put all the code related to sending the action to AVTransport into one function.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@649 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |   7 ++
 src/av-cp/renderer-controls.c | 155 ++++++++++++++++++++----------------------
 2 files changed, 79 insertions(+), 83 deletions(-)

commit 19ecefcfedeb1b6446f70fd2e0d4d0d779dc7549
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 10 21:24:50 2007 +0000

    Implement basic rendering controls: Setting the URI, Play, Pause and Stop.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@642 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |   5 +
 src/av-cp/renderer-controls.c | 283 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 288 insertions(+)

commit f6f06f49ea73f8dc0b6245defbac558f50ed9374
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 10 21:24:39 2007 +0000

    - Keep the proxy for AVTransport service in the renderer combo.
    - Add function to retreive the currently selected renderer and it's
      AVTransport service and protocolinfo.
    - Add stub for querying the state of the AVTransport of the currently
      selected renderer.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@641 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  9 +++++
 src/av-cp/renderer-combo.c | 99 ++++++++++++++++++++++++++++++++++++++++------
 src/av-cp/renderer-combo.h | 19 +++++++--
 3 files changed, 112 insertions(+), 15 deletions(-)

commit 0cd84ee04264f2259c94e22a77e5b6122dcf8e11
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 10 21:24:29 2007 +0000

    Add function to get the details about the currently selected item.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@640 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  7 +++++++
 src/av-cp/playlist-treeview.c | 37 +++++++++++++++++++++++++++++++++++++
 src/av-cp/playlist-treeview.h |  3 +++
 3 files changed, 47 insertions(+)

commit 9968cef8bdde63756b963c2040a45f4451adcfab
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 10 21:24:16 2007 +0000

    Basic skeleton for renderer controls.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@639 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 +++++
 data/gupnp-av-cp.glade        |  7 +++++
 src/av-cp/Makefile.am         |  1 +
 src/av-cp/renderer-controls.c | 72 +++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 88 insertions(+)

commit 1594308ea9a1a7235ad58b7985875eb8947e4a6e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 10 21:24:06 2007 +0000

    Keep the resource ProtcolInfo/URI pairs of each item in treemodel.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@638 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  3 +-
 src/av-cp/playlist-treeview.c | 87 ++++++++++++++++++++++++++++++++++++-------
 2 files changed, 76 insertions(+), 14 deletions(-)

commit aebaf5c8ba1ee9532fb425683a2e239b3f16b44d
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Dec 10 21:23:55 2007 +0000

    Minor indentation changes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@637 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  6 ++++++
 src/av-cp/playlist-treeview.c | 19 +++++++++++--------
 2 files changed, 17 insertions(+), 8 deletions(-)

commit 9f4a8e85ff802d08fdd66a6e588ec00201693ace
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 26 14:53:51 2007 +0000

    Give credit to the artists.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@636 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              | 4 ++++
 data/gupnp-av-cp.glade | 3 ++-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 147bb9d7e63da39bea6a71a600acdb8d1ea35b60
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 26 14:53:43 2007 +0000

    Add Vinicius Depizzol to AUTHORS file.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@635 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 AUTHORS   | 1 +
 ChangeLog | 6 ++++++
 2 files changed, 7 insertions(+)

commit 770c9ba1d07363d782c75180bb2b2a3606f21016
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 26 14:53:26 2007 +0000

    Keep the renderer protocol info in the combo treemodel.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@634 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |   3 +-
 src/av-cp/renderer-combo.c | 130 ++++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 126 insertions(+), 7 deletions(-)

commit 8b3a3a3284fa31c5e9e7ea48c796c79f490d6882
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 26 14:53:16 2007 +0000

    Split add_media_renderer().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@633 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  |  6 ++++
 src/av-cp/renderer-combo.c | 69 +++++++++++++++++++++++++++-------------------
 2 files changed, 46 insertions(+), 29 deletions(-)

commit 868d378c3b5aa72d831a9b803a7b7b64f546617f
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Nov 18 18:44:33 2007 +0000

    Use newly added MediaRenderer icon to represent MediaRenderers.
    
    Use newly added MediaRenderer icon to represent MediaRenderers that don't
    provide an icon.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@606 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                  | 5 +++++
 src/av-cp/renderer-combo.c | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit 4bb52d75b6f92d0c89e0b9faa6093dfc07ec3d91
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Nov 18 18:44:17 2007 +0000

    Add cool new icon for MediaRenderer.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@605 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                       |  10 ++++++++++
 data/pixmaps/Makefile.am        |   3 ++-
 data/pixmaps/media-renderer.png | Bin 0 -> 923 bytes
 src/common/icons.c              |   3 ++-
 src/common/icons.h              |   1 +
 5 files changed, 15 insertions(+), 2 deletions(-)

commit 7c2d0c9fb0f03ac918624bbf63cd63b8e0effbae
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Nov 9 13:09:22 2007 +0000

    Fix a potential leak.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@598 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         | 6 ++++++
 src/universal-cp/event-treeview.c | 8 +++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit d3ad0f0fcac60ea5502450ab4f87e81bf7c1911c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 5 11:31:39 2007 +0000

    AV tools are only built if user hasn't disabled it and gupnp-av is available.
    
    - Provide an option to disable building of AV tools.
    - Unavailability of gupnp-av only disables build of AV tools.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@596 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog       |  8 ++++++++
 configure.ac    | 33 ++++++++++++++++++++++++++++++++-
 src/Makefile.am |  4 ++++
 3 files changed, 44 insertions(+), 1 deletion(-)

commit 7a295d3dbbccb474b02fdaa5c5ff23d33a71dab1
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 5 11:31:28 2007 +0000

    Check for each requirement separately.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@595 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             |  7 +++++++
 configure.ac          | 10 +++++-----
 src/av-cp/Makefile.am |  8 +++++---
 3 files changed, 17 insertions(+), 8 deletions(-)

commit f43d31548579720291e7530ff005e93fa5df7283
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 5 11:31:19 2007 +0000

    Explicitly require gtk+ >= 2.12.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@594 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 ++
 2 files changed, 8 insertions(+)

commit 6bf67ef232ee4e9bcb171049d3e7da9a429e0cd0
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 5 11:31:00 2007 +0000

    Show the full value in a tooltip when the mouse hovers on an event treeview row.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@593 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         |  7 +++++
 src/universal-cp/event-treeview.c | 60 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

commit 60841be480c758fd47690e542015e3a8f8317297
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Nov 5 11:30:46 2007 +0000

    Move some functions from main module to the appropriate modules.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@592 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                           |  10 ++
 src/universal-cp/details-treeview.c | 221 +++++++++++++++++++++++++++++
 src/universal-cp/details-treeview.h |  20 ++-
 src/universal-cp/device-treeview.c  |  51 +++++++
 src/universal-cp/main.c             | 271 ------------------------------------
 src/universal-cp/main.h             |  20 ---
 6 files changed, 300 insertions(+), 293 deletions(-)

commit 28cb2f174573ed2b5983d49fbe6925ca6709162e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Nov 4 21:36:54 2007 +0000

    Add a desktop file for each tool.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@591 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        | 10 ++++++++++
 data/Makefile.am                 |  5 +++++
 data/gupnp-av-cp.desktop         |  8 ++++++++
 data/gupnp-network-light.desktop |  8 ++++++++
 data/gupnp-universal-cp.desktop  |  8 ++++++++
 5 files changed, 39 insertions(+)

commit 448ca55116563138e0f80878147be4ef83a38ef6
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Nov 4 21:36:45 2007 +0000

    Remove MediaServer from the treeview after it's unavailable.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@590 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  3 ++-
 src/av-cp/playlist-treeview.c | 21 +++++++++++++++++++++
 2 files changed, 23 insertions(+), 1 deletion(-)

commit 1f3b1cfbb50cf87c9ecaaecef1795551778e15fc
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Nov 4 21:36:34 2007 +0000

    Prefer to use the icon from the MediaServer to represent it.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@589 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  6 ++++++
 src/av-cp/playlist-treeview.c | 30 +++++++++++++++++++++++++++++-
 2 files changed, 35 insertions(+), 1 deletion(-)

commit 573d463f3673b8a071af987c44c79d75493ffe4e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Nov 4 00:09:19 2007 +0000

    Use a callback for icon availability notification.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@587 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  9 ++++++
 src/av-cp/renderer-combo.c         |  8 +++---
 src/common/icons.c                 | 15 +++++-----
 src/common/icons.h                 |  6 +++-
 src/universal-cp/device-treeview.c | 56 +++++++++++++++++++-------------------
 5 files changed, 53 insertions(+), 41 deletions(-)

commit 59d0e41c60928df94d62befe3eb6d39f724c37f3
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Nov 4 00:08:45 2007 +0000

    Separate parts of the names of modules with a '-'.
    
    Separate parts of the names of modules with a '-' as par the naming scheme of the project.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@586 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                           |  37 ++
 src/av-cp/Makefile.am               |   8 +-
 src/av-cp/gui.c                     |   4 +-
 src/av-cp/gui.h                     |   2 +-
 src/av-cp/main.c                    |   4 +-
 src/av-cp/playlist-treeview.c       | 466 +++++++++++++++++++++
 src/av-cp/playlist-treeview.h       |  39 ++
 src/av-cp/playlisttreeview.c        | 466 ---------------------
 src/av-cp/playlisttreeview.h        |  39 --
 src/av-cp/renderer-combo.c          | 234 +++++++++++
 src/av-cp/renderer-combo.h          |  42 ++
 src/av-cp/renderercombo.c           | 234 -----------
 src/av-cp/renderercombo.h           |  42 --
 src/universal-cp/Makefile.am        |  16 +-
 src/universal-cp/action-dialog.c    | 801 ++++++++++++++++++++++++++++++++++++
 src/universal-cp/action-dialog.h    |  38 ++
 src/universal-cp/actiondialog.c     | 801 ------------------------------------
 src/universal-cp/actiondialog.h     |  38 --
 src/universal-cp/details-treeview.c | 212 ++++++++++
 src/universal-cp/details-treeview.h |  33 ++
 src/universal-cp/detailstreeview.c  | 212 ----------
 src/universal-cp/detailstreeview.h  |  33 --
 src/universal-cp/device-treeview.c  | 753 +++++++++++++++++++++++++++++++++
 src/universal-cp/device-treeview.h  |  53 +++
 src/universal-cp/devicetreeview.c   | 753 ---------------------------------
 src/universal-cp/devicetreeview.h   |  53 ---
 src/universal-cp/event-treeview.c   | 365 ++++++++++++++++
 src/universal-cp/event-treeview.h   |  38 ++
 src/universal-cp/eventtreeview.c    | 365 ----------------
 src/universal-cp/eventtreeview.h    |  38 --
 src/universal-cp/gui.c              |   6 +-
 src/universal-cp/gui.h              |   4 +-
 32 files changed, 3133 insertions(+), 3096 deletions(-)

commit cb4a399e55dc84d2202d8c96da20578856490df5
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Nov 4 00:07:57 2007 +0000

    Remove the tool name prefix from source files.
    
    Remove the tool name prefix from source files as each tool now has
    it's own separate directory.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@585 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                                       |  61 ++
 src/av-cp/Makefile.am                           |  16 +-
 src/av-cp/av-cp-gui.c                           | 116 ----
 src/av-cp/av-cp-gui.h                           |  38 --
 src/av-cp/av-cp-playlisttreeview.c              | 466 --------------
 src/av-cp/av-cp-playlisttreeview.h              |  39 --
 src/av-cp/av-cp-renderercombo.c                 | 234 -------
 src/av-cp/av-cp-renderercombo.h                 |  42 --
 src/av-cp/av-cp.c                               | 120 ----
 src/av-cp/av-cp.h                               |  31 -
 src/av-cp/gui.c                                 | 116 ++++
 src/av-cp/gui.h                                 |  38 ++
 src/av-cp/main.c                                | 120 ++++
 src/av-cp/main.h                                |  31 +
 src/av-cp/playlisttreeview.c                    | 466 ++++++++++++++
 src/av-cp/playlisttreeview.h                    |  39 ++
 src/av-cp/renderercombo.c                       | 234 +++++++
 src/av-cp/renderercombo.h                       |  42 ++
 src/network-light/Makefile.am                   |  12 +-
 src/network-light/gui.c                         | 261 ++++++++
 src/network-light/gui.h                         |  37 ++
 src/network-light/main.c                        |  89 +++
 src/network-light/main.h                        |  38 ++
 src/network-light/network-light-gui.c           | 261 --------
 src/network-light/network-light-gui.h           |  37 --
 src/network-light/network-light-upnp.c          | 318 ----------
 src/network-light/network-light-upnp.h          |  38 --
 src/network-light/network-light.c               |  89 ---
 src/network-light/network-light.h               |  38 --
 src/network-light/upnp.c                        | 318 ++++++++++
 src/network-light/upnp.h                        |  38 ++
 src/universal-cp/Makefile.am                    |  24 +-
 src/universal-cp/actiondialog.c                 | 801 ++++++++++++++++++++++++
 src/universal-cp/actiondialog.h                 |  38 ++
 src/universal-cp/detailstreeview.c              | 212 +++++++
 src/universal-cp/detailstreeview.h              |  33 +
 src/universal-cp/devicetreeview.c               | 753 ++++++++++++++++++++++
 src/universal-cp/devicetreeview.h               |  53 ++
 src/universal-cp/eventtreeview.c                | 365 +++++++++++
 src/universal-cp/eventtreeview.h                |  38 ++
 src/universal-cp/gui.c                          | 160 +++++
 src/universal-cp/gui.h                          |  51 ++
 src/universal-cp/main.c                         | 379 +++++++++++
 src/universal-cp/main.h                         |  49 ++
 src/universal-cp/universal-cp-actiondialog.c    | 801 ------------------------
 src/universal-cp/universal-cp-actiondialog.h    |  38 --
 src/universal-cp/universal-cp-detailstreeview.c | 212 -------
 src/universal-cp/universal-cp-detailstreeview.h |  33 -
 src/universal-cp/universal-cp-devicetreeview.c  | 753 ----------------------
 src/universal-cp/universal-cp-devicetreeview.h  |  53 --
 src/universal-cp/universal-cp-eventtreeview.c   | 365 -----------
 src/universal-cp/universal-cp-eventtreeview.h   |  38 --
 src/universal-cp/universal-cp-gui.c             | 160 -----
 src/universal-cp/universal-cp-gui.h             |  51 --
 src/universal-cp/universal-cp.c                 | 379 -----------
 src/universal-cp/universal-cp.h                 |  49 --
 56 files changed, 4886 insertions(+), 4825 deletions(-)

commit 086bfe5f4ee63d5408424cbc1727b5ebd29cfea3
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Nov 4 00:07:31 2007 +0000

    Use 'proxy' as the variable name for media server/renderer proxy objects rather than server/renderer.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@584 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 10 ++++++++++
 src/av-cp/av-cp-playlisttreeview.c | 30 +++++++++++++++---------------
 src/av-cp/av-cp-playlisttreeview.h |  4 ++--
 src/av-cp/av-cp-renderercombo.c    | 10 +++++-----
 src/av-cp/av-cp-renderercombo.h    |  4 ++--
 5 files changed, 34 insertions(+), 24 deletions(-)

commit eaaa79c52723b7e4b99269acd460dd8d59dc8090
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Nov 2 15:19:10 2007 +0000

    Remove/update stuff according to the recent move of generic AV components to gupnp-av.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@583 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  22 ++++
 src/av-cp/Makefile.am              |  12 +-
 src/av-cp/av-cp-playlisttreeview.c |  58 ++++-----
 src/av-cp/av-cp-playlisttreeview.h |   9 +-
 src/av-cp/av-cp-renderercombo.c    |   5 +-
 src/av-cp/av-cp-renderercombo.h    |  10 +-
 src/av-cp/av-cp.c                  |  48 ++-----
 src/av-cp/didl-lite-object.c       | 229 ---------------------------------
 src/av-cp/didl-lite-object.h       | 123 ------------------
 src/av-cp/didl-lite-parser.c       | 108 ----------------
 src/av-cp/didl-lite-parser.h       |  80 ------------
 src/av-cp/media-renderer-proxy.c   | 126 -------------------
 src/av-cp/media-renderer-proxy.h   |  72 -----------
 src/av-cp/media-server-proxy.c     | 251 -------------------------------------
 src/av-cp/media-server-proxy.h     |  80 ------------
 src/av-cp/xml-util.c               | 204 ------------------------------
 src/av-cp/xml-util.h               |  58 ---------
 17 files changed, 74 insertions(+), 1421 deletions(-)

commit 7fc3faf49797b85199145b4a34d323040d9a308e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Nov 2 15:19:02 2007 +0000

    Require libgupnp-av.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@582 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 ++
 2 files changed, 8 insertions(+)

commit 433ad6adbfc6ac38d220923d8e6816bdc61d9c42
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 31 23:35:07 2007 +0000

    Implement the rest of the DIDL-Lite object API.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@576 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    |   5 ++
 src/av-cp/didl-lite-object.c | 126 +++++++++++++++++++++++++++++++++++++++++++
 src/av-cp/didl-lite-object.h |  62 +++++++++++++++++----
 3 files changed, 184 insertions(+), 9 deletions(-)

commit baff0ec67ce2b1fc49c95ab9d6683f2382876159
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 31 23:34:55 2007 +0000

    Add a few xml utility functions.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@575 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog            |  7 +++++
 src/av-cp/xml-util.c | 80 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/av-cp/xml-util.h | 15 ++++++++++
 3 files changed, 102 insertions(+)

commit 339d5b674bb0f7d033a3c31826388115797c8843
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 31 23:34:42 2007 +0000

    Add didl_lite_object_get_value() on popular demand. :)
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@574 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    |  7 +++++++
 src/av-cp/didl-lite-object.c | 13 +++++++++----
 src/av-cp/didl-lite-object.h |  4 ++++
 3 files changed, 20 insertions(+), 4 deletions(-)

commit f0751f07d3718c21e69127ae89a6fc9fb9337fe1
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 28 21:32:59 2007 +0000

    Revert "Import xmlDoc gobject wrapper from gupnp package."
    
    This reverts commit 93234bbae43e4142dd15e4756d21966ffbdb1f20.
    
    Conflicts:
    
    	ChangeLog
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@573 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog            |  7 -------
 src/av-cp/xml-util.c | 45 ---------------------------------------------
 src/av-cp/xml-util.h | 29 -----------------------------
 3 files changed, 81 deletions(-)

commit 38e57625f8d2525cea545748c7503ffd90379550
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 28 21:32:32 2007 +0000

    Revert "Instead of creating a new xmlDoc, each DIDL object keep a reference to the container xml document."
    
    This reverts commit 666879f8602707f09af412f2428740a25683a90e.
    
    Conflicts:
    
    	src/av-cp/didl-lite-object.c
    	src/av-cp/didl-lite-object.h
    	src/av-cp/didl-lite-parser.c
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@572 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                      | 19 -------------------
 src/av-cp/didl-lite-parser.c   |  8 +-------
 src/av-cp/media-server-proxy.c |  1 +
 3 files changed, 2 insertions(+), 26 deletions(-)

commit 0460b92cdff4b1509b9ab565bafe95db71deda04
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 28 21:32:08 2007 +0000

    Instead of a gobject, provide an API to deal with the DIDL-Lite xml nodes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@571 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  15 +++
 src/av-cp/av-cp-playlisttreeview.c |  90 ++++++++---------
 src/av-cp/didl-lite-object.c       | 191 +++++++------------------------------
 src/av-cp/didl-lite-object.h       |  88 ++++-------------
 src/av-cp/didl-lite-parser.c       |  15 +--
 src/av-cp/didl-lite-parser.h       |   3 +-
 src/av-cp/media-server-proxy.c     |  13 ++-
 7 files changed, 127 insertions(+), 288 deletions(-)

commit 0b086bdb175263c392edfc0c6a19857de24027dc
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Oct 23 21:56:57 2007 +0000

    Instead of creating a new xmlDoc, each DIDL object keep a reference to the container xml document.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@570 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                      | 19 +++++++++++++++
 src/av-cp/didl-lite-object.c   | 53 +++++++++++++++++++++++++++++++-----------
 src/av-cp/didl-lite-object.h   |  6 +++--
 src/av-cp/didl-lite-parser.c   | 10 ++++++--
 src/av-cp/media-server-proxy.c |  1 -
 5 files changed, 70 insertions(+), 19 deletions(-)

commit 22a43e0e4c300a7e7318288865660972847111a3
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Oct 23 21:56:47 2007 +0000

    Import xmlDoc gobject wrapper from gupnp package.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@569 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog            |  7 +++++++
 src/av-cp/xml-util.c | 45 +++++++++++++++++++++++++++++++++++++++++++++
 src/av-cp/xml-util.h | 29 +++++++++++++++++++++++++++++
 3 files changed, 81 insertions(+)

commit 0272d832171d540d3d68635ad3ce4ef245e611e7
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Oct 23 21:56:36 2007 +0000

    Assume the parent of an object to be root if it's "parentID" is not known.
    
    This is to support the ContentDirectory implemenations (e.g Coherence) that
    assigns an id other than "0" to the root DIDL object.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@568 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  9 ++++++
 src/av-cp/av-cp-playlisttreeview.c | 64 +++++++++++++++++---------------------
 2 files changed, 38 insertions(+), 35 deletions(-)

commit 661f3f101dfc63e0a4ee309bc2748c22484cba23
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 21 22:30:20 2007 +0000

    Require gnome-icon-theme (>= 2.20).
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@566 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 4 ++++
 configure.ac | 4 +++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 546f09aeffd8e8f6f03b4aba5ceef4c252d6a0f4
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 21 22:30:12 2007 +0000

    Get rid of the ugly stock icon loading code and load all icons from theme instead.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@565 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog          |  4 +++-
 src/common/icons.c | 46 ++++++++++------------------------------------
 2 files changed, 13 insertions(+), 37 deletions(-)

commit 960cc38a9a98d08e2c2c4da3472133dd4614fd59
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 21 22:30:03 2007 +0000

    Only use a fallback icon if one is available.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@564 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog          |  6 ++++++
 src/common/icons.c | 35 ++++++++++++++++++++---------------
 2 files changed, 26 insertions(+), 15 deletions(-)

commit 8ad5bc378bbf9bd6ca9fb254ae2fc5af1df515ff
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 21 22:29:54 2007 +0000

    Use newly-addded icons for audio, video, text and image items.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@563 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  4 ++++
 src/av-cp/av-cp-playlisttreeview.c | 43 +++++++++++++++++++++++++++++++++++++-
 2 files changed, 46 insertions(+), 1 deletion(-)

commit 1f3f137beaa4364282ad36ad38f17cfb6edf2ffa
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 21 22:29:34 2007 +0000

    Add icons for audio, video, text and image items.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@562 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog          | 7 +++++++
 src/common/icons.c | 8 ++++++++
 src/common/icons.h | 4 ++++
 3 files changed, 19 insertions(+)

commit f128f7956b4b549f73d2fb9c84aeffb26cb59c4d
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 21 22:29:25 2007 +0000

    Use the upnp:class name of the DIDL-Lite object to determine it's generic class.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@561 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    |  7 +++++++
 src/av-cp/didl-lite-object.c | 21 +++++++++++++++++----
 2 files changed, 24 insertions(+), 4 deletions(-)

commit c7c238d55427fd448c58b1014f2de161a9f12b98
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 21 22:29:14 2007 +0000

    Add a method to retreive upnp:class name of the DIDL-Lite object.
    
    Add a method to retreive the actual full string specifying the upnp:class of
    the DIDL-Lite object.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@560 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    | 8 ++++++++
 src/av-cp/didl-lite-object.c | 7 +++++++
 src/av-cp/didl-lite-object.h | 3 +++
 3 files changed, 18 insertions(+)

commit 33e452be4882e0279a4d49282a0597faf8e7659a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Oct 21 22:29:02 2007 +0000

    Assume that 'desc' is not a separate DIDL object but a part of other DIDL objects.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@559 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 16 ++++++++++++++++
 src/av-cp/av-cp-playlisttreeview.c |  4 ----
 src/av-cp/didl-lite-object.c       |  2 --
 src/av-cp/didl-lite-object.h       | 21 +++++++++------------
 4 files changed, 25 insertions(+), 18 deletions(-)

commit 2a4c9925c8f09b9b4ff96d6be6f14809546eaa5a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Oct 20 21:39:58 2007 +0000

    Use GTK_STOCK_FILE icon to represent item objects.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@558 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 11 +++++++++++
 src/av-cp/av-cp-playlisttreeview.c |  2 +-
 src/common/icons.c                 |  3 ++-
 src/common/icons.h                 |  1 +
 4 files changed, 15 insertions(+), 2 deletions(-)

commit 37783b6cc1249c5b1ab498308a7a4bb252cf913a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Oct 20 21:39:48 2007 +0000

    Display icons for containers and items in the playlist treeview.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@557 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 7 +++++++
 src/av-cp/av-cp-playlisttreeview.c | 6 +++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit f9219b7330d362d46d3e06704a5b7df1d9cd74e4
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Oct 20 21:39:37 2007 +0000

    Add icon for container DIDL-Lite objects.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@556 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog          | 7 +++++++
 src/common/icons.c | 2 ++
 src/common/icons.h | 1 +
 3 files changed, 10 insertions(+)

commit 4ff95b199ca68cfb28ef2364f1aea09b9288b847
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Oct 20 21:39:27 2007 +0000

    Try to list containers above items.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@555 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  1 +
 src/av-cp/av-cp-playlisttreeview.c | 25 ++++++++++++++++++++-----
 2 files changed, 21 insertions(+), 5 deletions(-)

commit da07cfe825e67f24cf9d42ef9f9bbadfeeb81bbb
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Oct 20 21:39:16 2007 +0000

    Pack the icon and text in the same cell.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@554 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  1 +
 src/av-cp/av-cp-playlisttreeview.c | 24 ++++++++++++------------
 2 files changed, 13 insertions(+), 12 deletions(-)

commit 2f0fcc8e14cb521652dd9a347f265a795b0a11bb
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Oct 19 11:39:40 2007 +0000

    Implement addition of DIDL objects to treeview.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@553 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |   1 +
 src/av-cp/av-cp-playlisttreeview.c | 141 ++++++++++++++++++++++++++++++++++++-
 2 files changed, 140 insertions(+), 2 deletions(-)

commit 3d2fd23d7e46c4aa7877677f911bc9132f5086c1
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Oct 19 11:39:30 2007 +0000

    Correct the treeview row searching code.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@552 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 1 +
 src/av-cp/av-cp-playlisttreeview.c | 5 ++---
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 03a5676a3fa256d2520331b277980db83850fe8d
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Oct 19 11:39:21 2007 +0000

    Pass the correct number of columns to gtk_tree_store_new().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@551 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 5 +++--
 src/av-cp/av-cp-playlisttreeview.c | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 5614ff00a8125ba2676363ea77d243f2adb5d95b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Oct 19 11:39:03 2007 +0000

    Return False from the button release callback so the treeview rows could be expanded.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@550 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 7 +++++++
 src/av-cp/av-cp-playlisttreeview.c | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 9036dd886c8bb2b5408458fbaeebb9a19da020ec
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Oct 19 11:38:53 2007 +0000

    Implement _get_parent_id().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@549 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    | 6 ++++++
 src/av-cp/didl-lite-object.c | 7 +++++++
 2 files changed, 13 insertions(+)

commit 6ed904a9dd69685ca85d9f1a4e280d45e36dd2af
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Oct 19 11:38:43 2007 +0000

    Make the tree store search function very generic and add recursive search option to it.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@548 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  7 ++++
 src/av-cp/av-cp-playlisttreeview.c | 81 ++++++++++++++++++++++++++++----------
 2 files changed, 68 insertions(+), 20 deletions(-)

commit 1d6dc2005ac8225ae21db92a6e00137901cdbb6a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Oct 19 11:38:32 2007 +0000

    Add getter for DIDL-Lite parser to media server proxy.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@547 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                      | 7 +++++++
 src/av-cp/media-server-proxy.c | 7 +++++++
 src/av-cp/media-server-proxy.h | 4 ++++
 3 files changed, 18 insertions(+)

commit 784a480df8d712a69a2c8e20642d6c9babb8f0fa
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Oct 19 11:38:23 2007 +0000

    Implement media server proxy addition and search to/from the treemodel.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@546 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |   7 ++
 src/av-cp/av-cp-playlisttreeview.c | 133 ++++++++++++++++++++++++++++++++-----
 2 files changed, 123 insertions(+), 17 deletions(-)

commit 7bde650ba84d900c4876061bdcca6a058513e684
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Oct 19 11:38:11 2007 +0000

    Playlist should be a tree rather than a list.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@545 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  7 +++++++
 data/gupnp-av-cp.glade             |  2 +-
 src/av-cp/av-cp-playlisttreeview.c | 13 +++++++------
 3 files changed, 15 insertions(+), 7 deletions(-)

commit 85f511c3eb75d0505aa943abeb35dc431afec9b7
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 17 16:02:37 2007 +0000

    Use g_error_free instead of g_free on GError objects.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@544 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                      | 6 ++++++
 src/av-cp/media-server-proxy.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit caefd4a72736d6a7a457838f01332efb25b6f332
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 17 16:02:20 2007 +0000

    Basic support for MediaServer::ContentDirrectory::Browse.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@543 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  34 +++++++
 src/av-cp/Makefile.am              |   8 +-
 src/av-cp/av-cp-playlisttreeview.c |  12 +++
 src/av-cp/av-cp-playlisttreeview.h |   9 ++
 src/av-cp/av-cp.c                  |   5 +
 src/av-cp/didl-lite-object.c       | 169 +++++++++++++++++++++++++++++++++
 src/av-cp/didl-lite-object.h       | 125 +++++++++++++++++++++++++
 src/av-cp/didl-lite-parser.c       | 113 ++++++++++++++++++++++
 src/av-cp/didl-lite-parser.h       |  81 ++++++++++++++++
 src/av-cp/media-server-proxy.c     | 185 ++++++++++++++++++++++++++++++-------
 src/av-cp/media-server-proxy.h     |   4 +
 src/av-cp/xml-util.c               | 124 +++++++++++++++++++++++++
 src/av-cp/xml-util.h               |  43 +++++++++
 13 files changed, 878 insertions(+), 34 deletions(-)

commit 9f598516e8f3e5a0085328af293d380b91edc56f
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 17 16:02:06 2007 +0000

    GUPnP API update
    
    Register the proxy subclasses with the resource factory of the control point
    rather than creating a subclass of the resource factory.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@542 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                       |  11 ++++
 src/av-cp/Makefile.am           |   4 +-
 src/av-cp/av-cp.c               |  37 ++++++++---
 src/av-cp/av-resource-factory.c | 135 ----------------------------------------
 src/av-cp/av-resource-factory.h |  76 ----------------------
 5 files changed, 40 insertions(+), 223 deletions(-)

commit 9979f0da2e5af58c7c79777c6c4f1d62f8186ee7
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 17 16:01:51 2007 +0000

    Add MediaServerProxy.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@541 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                       |   9 +++
 src/av-cp/Makefile.am           |   2 +
 src/av-cp/av-resource-factory.c |  15 +++--
 src/av-cp/media-server-proxy.c  | 126 ++++++++++++++++++++++++++++++++++++++++
 src/av-cp/media-server-proxy.h  |  72 +++++++++++++++++++++++
 5 files changed, 220 insertions(+), 4 deletions(-)

commit a99dba19a2990b927d52c81d4ca8d14783bd786b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 17 16:01:37 2007 +0000

    Add AV factory and MediaRendererProxy.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@540 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        |  14 +++++
 src/av-cp/Makefile.am            |   6 +-
 src/av-cp/av-cp-renderercombo.c  |   4 +-
 src/av-cp/av-cp-renderercombo.h  |   6 +-
 src/av-cp/av-cp.c                |  37 +++++------
 src/av-cp/av-resource-factory.c  | 128 +++++++++++++++++++++++++++++++++++++++
 src/av-cp/av-resource-factory.h  |  76 +++++++++++++++++++++++
 src/av-cp/media-renderer-proxy.c | 126 ++++++++++++++++++++++++++++++++++++++
 src/av-cp/media-renderer-proxy.h |  72 ++++++++++++++++++++++
 9 files changed, 441 insertions(+), 28 deletions(-)

commit 107848e79dd408741976328fafab450a95329b96
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Oct 17 16:01:28 2007 +0000

    Remove the progress label and add a status bar.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@539 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              |  7 +++++++
 data/gupnp-av-cp.glade | 37 ++++++++++++-------------------------
 2 files changed, 19 insertions(+), 25 deletions(-)

commit a160bca7edc730146d592aea76b11c3314aa53bb
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 25 12:15:55 2007 +0000

    Build fixes.
    
    - Recurse into newly added 'data' subdirectory.
    - Declare 'Makefile.in' as 'MAINTAINERCLEANFILES'.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@530 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 11 +++++++++++
 Makefile.am              |  2 +-
 data/pixmaps/Makefile.am |  1 +
 data/xml/Makefile.am     |  2 ++
 4 files changed, 15 insertions(+), 1 deletion(-)

commit 59889ab81ddf543c6f476ef5738d1ad5202062e8
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 25 12:15:43 2007 +0000

    Commit the newly added (forgotten) 'Makefile.am's.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@529 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |  8 ++++++++
 src/common/Makefile.am        | 15 +++++++++++++++
 src/network-light/Makefile.am | 21 +++++++++++++++++++++
 src/universal-cp/Makefile.am  | 28 ++++++++++++++++++++++++++++
 4 files changed, 72 insertions(+)

commit 3de80573839cd276cf7a0c339a6c37a4ec9c3be1
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 25 12:14:53 2007 +0000

    Move all data (icon, xml and glade) files to 'data' subdirectory.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@528 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                              |  43 ++
 configure.ac                           |   5 +-
 data/Makefile.am                       |   9 +
 data/gupnp-av-cp.glade                 | 744 +++++++++++++++++++++++++++++
 data/gupnp-network-light.glade         | 122 +++++
 data/gupnp-universal-cp.glade          | 846 +++++++++++++++++++++++++++++++++
 data/pixmaps/Makefile.am               |  14 +
 data/pixmaps/network-light-22x22.png   | Bin 0 -> 1006 bytes
 data/pixmaps/network-light-256x256.png | Bin 0 -> 22067 bytes
 data/pixmaps/network-light-off.png     | Bin 0 -> 38794 bytes
 data/pixmaps/network-light-on.png      | Bin 0 -> 43004 bytes
 data/pixmaps/upnp-action-arg-in.png    | Bin 0 -> 794 bytes
 data/pixmaps/upnp-action-arg-out.png   | Bin 0 -> 756 bytes
 data/pixmaps/upnp-device.png           | Bin 0 -> 607 bytes
 data/pixmaps/upnp-service.png          | Bin 0 -> 653 bytes
 data/pixmaps/upnp-state-variable.png   | Bin 0 -> 704 bytes
 data/xml/Dimming-scpd.xml              |  70 +++
 data/xml/Makefile.am                   |   9 +
 data/xml/SwitchPower-scpd.xml          |  57 +++
 data/xml/network-light-desc.xml        |  53 +++
 src/Makefile.am                        |  12 +-
 src/av-cp/Makefile.am                  |   2 +-
 src/gupnp-av-cp.glade                  | 744 -----------------------------
 src/gupnp-network-light.glade          | 122 -----
 src/gupnp-universal-cp.glade           | 846 ---------------------------------
 src/pixmaps/Makefile.am                |  14 -
 src/pixmaps/network-light-22x22.png    | Bin 1006 -> 0 bytes
 src/pixmaps/network-light-256x256.png  | Bin 22067 -> 0 bytes
 src/pixmaps/network-light-off.png      | Bin 38794 -> 0 bytes
 src/pixmaps/network-light-on.png       | Bin 43004 -> 0 bytes
 src/pixmaps/upnp-action-arg-in.png     | Bin 794 -> 0 bytes
 src/pixmaps/upnp-action-arg-out.png    | Bin 756 -> 0 bytes
 src/pixmaps/upnp-device.png            | Bin 607 -> 0 bytes
 src/pixmaps/upnp-service.png           | Bin 653 -> 0 bytes
 src/pixmaps/upnp-state-variable.png    | Bin 704 -> 0 bytes
 src/xml/Dimming-scpd.xml               |  70 ---
 src/xml/Makefile.am                    |   9 -
 src/xml/SwitchPower-scpd.xml           |  57 ---
 src/xml/network-light-desc.xml         |  53 ---
 39 files changed, 1972 insertions(+), 1929 deletions(-)

commit 90de4b3765ed1a9c868c716659d059b09315664f
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 25 12:13:58 2007 +0000

    Move code for each tool under it's own subdirectory. Common code goes under 'common' subdirectory.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@527 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                                       |  65 ++
 configure.ac                                    |   6 +-
 src/Makefile.am                                 |  47 +-
 src/av-cp-gui.c                                 | 116 ----
 src/av-cp-gui.h                                 |  38 --
 src/av-cp-playlisttreeview.c                    | 123 ----
 src/av-cp-playlisttreeview.h                    |  31 -
 src/av-cp-renderercombo.c                       | 235 -------
 src/av-cp-renderercombo.h                       |  40 --
 src/av-cp.c                                     | 131 ----
 src/av-cp.h                                     |  31 -
 src/av-cp/Makefile.am                           |  25 +
 src/av-cp/av-cp-gui.c                           | 116 ++++
 src/av-cp/av-cp-gui.h                           |  38 ++
 src/av-cp/av-cp-playlisttreeview.c              | 123 ++++
 src/av-cp/av-cp-playlisttreeview.h              |  31 +
 src/av-cp/av-cp-renderercombo.c                 | 235 +++++++
 src/av-cp/av-cp-renderercombo.h                 |  40 ++
 src/av-cp/av-cp.c                               | 131 ++++
 src/av-cp/av-cp.h                               |  31 +
 src/common/icons.c                              | 346 ++++++++++
 src/common/icons.h                              |  60 ++
 src/icons.c                                     | 341 ----------
 src/icons.h                                     |  60 --
 src/network-light-gui.c                         | 261 --------
 src/network-light-gui.h                         |  37 --
 src/network-light-upnp.c                        | 318 ----------
 src/network-light-upnp.h                        |  38 --
 src/network-light.c                             |  89 ---
 src/network-light.h                             |  38 --
 src/network-light/network-light-gui.c           | 261 ++++++++
 src/network-light/network-light-gui.h           |  37 ++
 src/network-light/network-light-upnp.c          | 318 ++++++++++
 src/network-light/network-light-upnp.h          |  38 ++
 src/network-light/network-light.c               |  89 +++
 src/network-light/network-light.h               |  38 ++
 src/universal-cp-actiondialog.c                 | 801 ------------------------
 src/universal-cp-actiondialog.h                 |  38 --
 src/universal-cp-detailstreeview.c              | 212 -------
 src/universal-cp-detailstreeview.h              |  33 -
 src/universal-cp-devicetreeview.c               | 753 ----------------------
 src/universal-cp-devicetreeview.h               |  57 --
 src/universal-cp-eventtreeview.c                | 365 -----------
 src/universal-cp-eventtreeview.h                |  38 --
 src/universal-cp-gui.c                          | 160 -----
 src/universal-cp-gui.h                          |  51 --
 src/universal-cp.c                              | 379 -----------
 src/universal-cp.h                              |  49 --
 src/universal-cp/universal-cp-actiondialog.c    | 801 ++++++++++++++++++++++++
 src/universal-cp/universal-cp-actiondialog.h    |  38 ++
 src/universal-cp/universal-cp-detailstreeview.c | 212 +++++++
 src/universal-cp/universal-cp-detailstreeview.h |  33 +
 src/universal-cp/universal-cp-devicetreeview.c  | 753 ++++++++++++++++++++++
 src/universal-cp/universal-cp-devicetreeview.h  |  53 ++
 src/universal-cp/universal-cp-eventtreeview.c   | 365 +++++++++++
 src/universal-cp/universal-cp-eventtreeview.h   |  38 ++
 src/universal-cp/universal-cp-gui.c             | 160 +++++
 src/universal-cp/universal-cp-gui.h             |  51 ++
 src/universal-cp/universal-cp.c                 | 379 +++++++++++
 src/universal-cp/universal-cp.h                 |  49 ++
 60 files changed, 4960 insertions(+), 4910 deletions(-)

commit 2d89ed28c1604457ca91e8891965bfb085ebfb03
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 25 12:13:40 2007 +0000

    Remove hacks to run uninstalled.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@526 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 10 ++++++++++
 src/av-cp-gui.c          | 22 ++++------------------
 src/icons.c              | 21 ++++++++-------------
 src/network-light-gui.c  | 38 +++++++++-----------------------------
 src/network-light-upnp.c | 14 +++-----------
 src/universal-cp-gui.c   | 20 +++-----------------
 6 files changed, 37 insertions(+), 88 deletions(-)

commit 093d0e8a537ade91ede49bd9c1feba06f4a8da0a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 25 12:13:23 2007 +0000

    Add '--enable-uninstalled' option to configure script.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@525 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog       |  7 +++++++
 configure.ac    | 10 ++++++++++
 src/Makefile.am |  5 +++++
 3 files changed, 22 insertions(+)

commit 5215cfb8cce21763d57c70cdcba12eb8ad17c178
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:26:27 2007 +0000

    Some HIG love.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@524 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                 |   7 +
 src/av-cp-renderercombo.c |   5 +-
 src/gupnp-av-cp.glade     | 953 +++++++++++++++++++++++-----------------------
 3 files changed, 494 insertions(+), 471 deletions(-)

commit 8f8b4d204d0a5bdedceaee457a9c73eacfbd3053
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:26:18 2007 +0000

    Remove unneeded renderer-combo code from gui module.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@523 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog       | 6 ++++++
 src/av-cp-gui.c | 7 ++-----
 2 files changed, 8 insertions(+), 5 deletions(-)

commit f64cbbd8bdedd0056b3c0ebf154a4a7ce4545199
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:26:06 2007 +0000

    Icons for min and max volume around the volume vscale.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@522 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             |  9 ++++++++
 src/av-cp-gui.c       | 21 +++++++++++++++++-
 src/gupnp-av-cp.glade | 30 ++++++++++++++++++++++++++
 src/icons.c           | 59 ++++++++++++++++++++++++++++++++++++++++++++++++++-
 src/icons.h           |  2 ++
 5 files changed, 119 insertions(+), 2 deletions(-)

commit c3e8810efbcfaa8ac956f9a4a4da05f46c357b58
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:25:50 2007 +0000

    Fix a copy&paste mistake.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@521 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                 | 6 ++++++
 src/av-cp-renderercombo.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit c6c2a43c6f9e8a169759a64c52746e1aa9b1e8f3
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:25:38 2007 +0000

    Display icons of renderer devices in the renderer combo as well.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@520 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                 |  9 ++++++++
 src/Makefile.am           |  4 +++-
 src/av-cp-gui.c           |  3 +++
 src/av-cp-renderercombo.c | 58 +++++++++++++++++++++++++++++++++++++++++++----
 src/av-cp-renderercombo.h |  3 +++
 5 files changed, 71 insertions(+), 6 deletions(-)

commit f7b5e5c906a71273331ed2205ead6294050c7a33
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:25:28 2007 +0000

    Implement removal of renderer from the combobox.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@519 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                 |  6 ++++++
 src/av-cp-renderercombo.c | 19 +++++++++++++++++++
 2 files changed, 25 insertions(+)

commit e2ea53404a8c54e2e51c2f30478b74680ca18111
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:25:12 2007 +0000

    Rename 'universal-cp-icons' module to 'icons' as other applications
    will use it too.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@518 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         |  14 ++
 src/Makefile.am                   |   5 +-
 src/icons.c                       | 289 ++++++++++++++++++++++++++++++++++++++
 src/icons.h                       |  58 ++++++++
 src/universal-cp-actiondialog.c   |   2 +-
 src/universal-cp-devicetreeview.c |   2 +-
 src/universal-cp-gui.c            |   2 +-
 src/universal-cp-icons.c          | 289 --------------------------------------
 src/universal-cp-icons.h          |  58 --------
 9 files changed, 367 insertions(+), 352 deletions(-)

commit 91dc8631d4758656d438d1a708b99251397f62e9
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:25:03 2007 +0000

    Remove the native labels of scales and keep an initially empty label
    for displaying media position.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@517 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             |  7 +++++
 src/gupnp-av-cp.glade | 83 +++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 74 insertions(+), 16 deletions(-)

commit 742603149c0171bb0c42b2881e08e6b1f86fa140
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:24:54 2007 +0000

    Fix the code to set the active renderer on addition.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@516 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                 |  6 ++++++
 src/av-cp-renderercombo.c | 11 +++++++----
 2 files changed, 13 insertions(+), 4 deletions(-)

commit b503eeb8ae1fd82b2853ad9f36c400046e543d97
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:24:45 2007 +0000

    Exit the mainloop 'after' unrefing the objects.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@515 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog   | 6 ++++++
 src/av-cp.c | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 9b6f5641c43d9c21a5e36227ea7ce0f58df71ec7
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:24:36 2007 +0000

    Don't add an already added renderer to the combo.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@514 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                 |  6 ++++
 src/av-cp-renderercombo.c | 79 +++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 75 insertions(+), 10 deletions(-)

commit 5681865948f234dc5aec0fea2bd4742016b11c51
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:24:26 2007 +0000

    Some random UI fixes and re-arrangment.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@513 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             |   6 +
 src/gupnp-av-cp.glade | 703 +++++++++++++++++++++++++-------------------------
 2 files changed, 351 insertions(+), 358 deletions(-)

commit f5c6618ed9a4112886a5d757cc804d15ac12c70a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:24:10 2007 +0000

    Fix the copyright header in AV control-point code.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@512 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    | 13 +++++++++++++
 src/av-cp-gui.c              |  2 +-
 src/av-cp-gui.h              |  2 +-
 src/av-cp-playlisttreeview.c |  2 +-
 src/av-cp-playlisttreeview.h |  2 +-
 src/av-cp-renderercombo.c    |  2 +-
 src/av-cp-renderercombo.h    |  2 +-
 src/av-cp.c                  |  2 +-
 src/av-cp.h                  |  2 +-
 9 files changed, 21 insertions(+), 8 deletions(-)

commit e0e944894354ebc30a1ce2aa2424e68725b275b5
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:23:49 2007 +0000

    show about-dialog when the relevent menuitem is activated.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@511 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             | 6 ++++++
 src/gupnp-av-cp.glade | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 852f81ae0e5089b30c7de6ddf300b490dbe96127
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:23:38 2007 +0000

    Exit the mainloop before unrefing the objects.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@510 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog   | 6 ++++++
 src/av-cp.c | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit b076b9cc5ebe6eed8e4a2c980caefff32cd4cc19
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:23:29 2007 +0000

    'Renderer' label and combobox shouldn't be homogeneous.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@509 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             | 6 ++++++
 src/gupnp-av-cp.glade | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 1787010b5bd1ade473706566f6b3384185801fb8
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:23:20 2007 +0000

    Put all buttons into a button box.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@508 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             |  6 ++++
 src/gupnp-av-cp.glade | 76 +++++++++++++++++++--------------------------------
 2 files changed, 34 insertions(+), 48 deletions(-)

commit 0f64a57fbbcd232730d716558e955e64606e3685
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:23:05 2007 +0000

    Implement MediaRenderer choice as a combobox.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@507 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                 |  12 +
 src/Makefile.am           |   4 +-
 src/av-cp-gui.c           |  29 +-
 src/av-cp-gui.h           |   6 -
 src/av-cp-renderercombo.c | 103 +++++++
 src/av-cp-renderercombo.h |  37 +++
 src/av-cp.c               |   6 +-
 src/gupnp-av-cp.glade     | 682 +++++++++++++++++++++++++---------------------
 8 files changed, 533 insertions(+), 346 deletions(-)

commit 9cbc803065175c11efd559619d0b4d5058d93c4c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:22:54 2007 +0000

    Add menu for MediaRenderer Devices.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@506 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog             |  7 +++++++
 src/av-cp-gui.c       | 14 ++++++++++++++
 src/gupnp-av-cp.glade |  8 ++++----
 3 files changed, 25 insertions(+), 4 deletions(-)

commit 87b934c8ed2105e6beead3bdb0a3756937333541
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:22:43 2007 +0000

    Make about-dialog public static member of the gui module and destroy the about-dialog on de-initialization.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@505 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog       | 7 +++++++
 src/av-cp-gui.c | 7 ++++---
 2 files changed, 11 insertions(+), 3 deletions(-)

commit e9b2c6ea3ce893c1f20868d73521aa8c5696018a
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 24 11:22:30 2007 +0000

    Basic skeleton for AV Control Point.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@504 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    |  13 +
 src/Makefile.am              |  14 +-
 src/av-cp-gui.c              | 115 ++++++++
 src/av-cp-gui.h              |  44 +++
 src/av-cp-playlisttreeview.c | 123 +++++++++
 src/av-cp-playlisttreeview.h |  31 +++
 src/av-cp.c                  | 129 +++++++++
 src/av-cp.h                  |  31 +++
 src/gupnp-av-cp.glade        | 627 +++++++++++++++++++++++++++++++++++++++++++
 9 files changed, 1125 insertions(+), 2 deletions(-)

commit f215fb82c77d4e4786f8d6e0ad387f6b1782dfcf
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Sep 23 18:37:33 2007 +0000

    Require gupnp 0.6.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@502 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 80e9ae07cc5fa0e0ead90433c192e7e18e1892ce
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 21 14:07:02 2007 +0000

    Leave the removal of pending GET request and free'ing of the GET request data to the the GET callback.
    
    - Move removal of pending GET request to the GET callback.
    - Free the GET request data only at the end of the GET callback.
    - A small optimization.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@497 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 8 ++++++++
 src/universal-cp-icons.c | 8 ++------
 2 files changed, 10 insertions(+), 6 deletions(-)

commit 5ab6c4fde7a49612a38bbf3bb10192eef0ffb54e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 21 14:06:47 2007 +0000

    Add pending GET requests to pending_gets before sending off the message.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@496 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 7 +++++++
 src/universal-cp-icons.c | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 295f109a476b5641aa2c68a797d32cdc40c45a60
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 20 09:20:46 2007 +0000

    Fix the copyright header.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@492 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 25 +++++++++++++++++++++++++
 src/network-light-gui.c            |  2 +-
 src/network-light-gui.h            |  2 +-
 src/network-light-upnp.c           |  2 +-
 src/network-light-upnp.h           |  2 +-
 src/network-light.c                |  2 +-
 src/network-light.h                |  2 +-
 src/universal-cp-actiondialog.c    |  2 +-
 src/universal-cp-actiondialog.h    |  2 +-
 src/universal-cp-detailstreeview.c |  2 +-
 src/universal-cp-detailstreeview.h |  2 +-
 src/universal-cp-devicetreeview.c  |  2 +-
 src/universal-cp-devicetreeview.h  |  2 +-
 src/universal-cp-eventtreeview.c   |  2 +-
 src/universal-cp-eventtreeview.h   |  2 +-
 src/universal-cp-gui.c             |  2 +-
 src/universal-cp-gui.h             |  2 +-
 src/universal-cp-icons.c           |  2 +-
 src/universal-cp-icons.h           |  2 +-
 src/universal-cp.c                 |  2 +-
 src/universal-cp.h                 |  2 +-
 21 files changed, 45 insertions(+), 20 deletions(-)

commit e582e8c0fde40974a743f46a2f093aae45219779
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 20 09:20:36 2007 +0000

    Fix a device proxy ref leak.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@491 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         |  6 ++++++
 src/universal-cp-devicetreeview.c | 19 +++++++++++--------
 2 files changed, 17 insertions(+), 8 deletions(-)

commit 6b9b4235cc56204fd9e86db326a7541322e93d7b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 18 15:16:58 2007 +0000

    English corrections by Robert McQueen.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@489 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog | 6 ++++++
 NEWS      | 6 +++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit f0b5e291a9d1905d7948a42a56bfb06b097b79e8
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 18 08:41:47 2007 +0000

    Update the NEWS file for 0.2 release.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@488 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog |  6 ++++++
 NEWS      | 18 ++++++++++++++++++
 2 files changed, 24 insertions(+)

commit f3b7323d599682ccd371521b934d2bfc6b74dac1
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 18 08:41:34 2007 +0000

    Some more object ref leakage fixes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@487 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 12 ++++++++++++
 src/network-light-gui.c            |  8 ++++++--
 src/universal-cp-actiondialog.c    |  6 ++++++
 src/universal-cp-actiondialog.h    |  3 +++
 src/universal-cp-detailstreeview.c |  4 ++++
 src/universal-cp-devicetreeview.c  |  3 +++
 src/universal-cp-eventtreeview.c   |  5 +++++
 src/universal-cp-gui.c             |  3 ++-
 8 files changed, 41 insertions(+), 3 deletions(-)

commit 3663dd1e1b4969d3bed8d73f4e6c6cb0b50fe109
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 18 08:41:17 2007 +0000

    Set the version string on the about dialogs.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@486 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog               | 7 +++++++
 src/network-light-gui.c | 2 ++
 src/universal-cp-gui.c  | 7 +++++++
 3 files changed, 16 insertions(+)

commit 63cc3e1d08caf83b3ab21b2d8724624372d6df8f
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 18 08:41:09 2007 +0000

    Bump up the version to 0.2.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@485 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog    | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 5bf4b4a43492440ce781626650fc8331cd3716b2
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 17 20:34:01 2007 +0000

    Update the README.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@484 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog | 6 ++++++
 README    | 5 ++---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit a57b088d16bf9f0ee76d2067a4103a238955baa6
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 17 20:33:53 2007 +0000

    Quit menuitem calls application_exit() instead of gtk_main_quit() on activation.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@483 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    | 7 +++++++
 src/gupnp-universal-cp.glade | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 72be78019b54e0dd4365d4e00e22aa5c994cb6c5
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 17 16:30:59 2007 +0000

    Explicitly destroy the main window don't leak the treemodels ref.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@482 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          | 10 ++++++++++
 src/universal-cp-detailstreeview.c |  1 +
 src/universal-cp-devicetreeview.c  |  1 +
 src/universal-cp-eventtreeview.c   |  1 +
 src/universal-cp-gui.c             |  3 ++-
 5 files changed, 15 insertions(+), 1 deletion(-)

commit 98e3eefa5eb0971817449465ebc31648825a6f76
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 17 16:30:52 2007 +0000

    Search for "upnp:rootdevice" rather than "ssdp:all".
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@481 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog          | 6 ++++++
 src/universal-cp.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 2476c1724b261b6257fa1dd7105e012e5340d8a2
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 17 16:30:44 2007 +0000

    Fix some resource ref and GList leakage.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@480 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         |  6 ++++++
 src/universal-cp-devicetreeview.c | 14 ++++++++------
 2 files changed, 14 insertions(+), 6 deletions(-)

commit 3e291b6439935d13028df13408c0ca57d0a2ed58
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 17 16:30:34 2007 +0000

    Main module exits the mainloop and GUI and UPnP objects are destroyed before exiting the mainloop.
    
    - The main module exits the mainloop
    - GUI and UPnP objects are destroyed before exiting the mainloop. This
      is to allow the service proxies to unsubscribe themselves.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@479 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              | 10 ++++++++++
 src/universal-cp-gui.c |  3 ++-
 src/universal-cp.c     | 12 +++++++++---
 src/universal-cp.h     |  2 ++
 4 files changed, 23 insertions(+), 4 deletions(-)

commit 48c2a355b564e75b80a45ae0cd6f8e7997ed1711
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 17 16:30:26 2007 +0000

    Print more details on the console for each failed notification.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@478 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                |  6 ++++++
 src/network-light-upnp.c | 18 +++++++++++++++++-
 2 files changed, 23 insertions(+), 1 deletion(-)

commit 192169fa58da0e129b33223a6f89c31e0619f1a2
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 17 08:21:18 2007 +0000

    Keep the network light icon in two sizes.
    
    Keep the network light icon in two sizes, one small and one big so control
    points have a bit more choice.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@476 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                             |  12 ++++++++++++
 src/network-light-gui.c               |   2 +-
 src/pixmaps/Makefile.am               |  17 +++++++++--------
 src/pixmaps/network-light-22x22.png   | Bin 0 -> 1006 bytes
 src/pixmaps/network-light-256x256.png | Bin 0 -> 22067 bytes
 src/pixmaps/network-light.png         | Bin 21666 -> 0 bytes
 src/xml/network-light-desc.xml        |  13 ++++++++++---
 7 files changed, 32 insertions(+), 12 deletions(-)

commit 61d9b87592951942c3790876b3141740186e34ff
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 15 22:37:07 2007 +0000

    Use LARGE_TOOLBAR as icon size instead of DIALOG when rendering icons from stock.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@475 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 7 +++++++
 src/universal-cp-icons.c | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit fa0aac60aab2a421bf1a4553e42bc6e51be38d8b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 15 21:32:39 2007 +0000

    Put a little more space between children of action-invocation-table.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@474 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    | 6 ++++++
 src/gupnp-universal-cp.glade | 6 +++---
 2 files changed, 9 insertions(+), 3 deletions(-)

commit f3f868efaa506a366436fc600a9d54bdf6c6dcb2
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 15 21:32:33 2007 +0000

    Put static labels of action dialog into a sizegroup.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@473 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                       | 6 ++++++
 src/universal-cp-actiondialog.c | 6 ++++++
 2 files changed, 12 insertions(+)

commit 2b9d564698529534520fb5a9dc00da7f86961b72
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 15 21:32:27 2007 +0000

    Use the best interpolation method available.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@472 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 6 ++++++
 src/universal-cp-icons.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit a0e00e5035c16b9fbc62674b49f8af00a6d5d546
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 15 16:54:19 2007 +0000

    Icon update for network-light.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@471 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     |   7 +++++++
 src/pixmaps/network-light.png | Bin 58772 -> 21666 bytes
 2 files changed, 7 insertions(+)

commit f67510017db911e43e545b0f46c1b96dba838ea5
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 15 16:54:12 2007 +0000

    Use g_build_filename() instead of g_strjoin() for filenames.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@470 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 7 +++++++
 src/network-light-gui.c  | 5 +----
 src/universal-cp-icons.c | 7 +++----
 3 files changed, 11 insertions(+), 8 deletions(-)

commit bc5c4275fe730b51165eacb15a5206761e595048
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 14 14:52:14 2007 +0000

    Icons update for device and state-variable.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@469 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                           |   8 ++++++++
 src/pixmaps/upnp-device.png         | Bin 428 -> 607 bytes
 src/pixmaps/upnp-state-variable.png | Bin 567 -> 704 bytes
 3 files changed, 8 insertions(+)

commit c3daa6c848a06033bbd075480181e99091aead09
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 14 14:52:04 2007 +0000

    New separate icons for in & out action arguments from Lapo Calamandrei.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@468 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                           |  12 ++++++++++++
 src/pixmaps/Makefile.am             |   2 ++
 src/pixmaps/upnp-action-arg-in.png  | Bin 0 -> 794 bytes
 src/pixmaps/upnp-action-arg-out.png | Bin 0 -> 756 bytes
 src/universal-cp-devicetreeview.c   |  14 +++++++++++---
 src/universal-cp-icons.c            |   9 +++++----
 src/universal-cp-icons.h            |   3 ++-
 7 files changed, 32 insertions(+), 8 deletions(-)

commit 681a69316e1c2aa38384ee33a457d8218202cce5
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 14 14:51:55 2007 +0000

    Use 'GTK_STOCK_DIRECTORY' for the the parent node of the state-variables.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@467 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                            |  10 ++++++++++
 src/pixmaps/Makefile.am              |   1 -
 src/pixmaps/upnp-state-variables.png | Bin 680 -> 0 bytes
 src/universal-cp-icons.c             |   8 ++++----
 src/universal-cp-icons.h             |   2 +-
 5 files changed, 15 insertions(+), 6 deletions(-)

commit 7ded33c0cb5a467ee0fa1dba8e0f55b4f91f069c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 14 13:21:35 2007 +0000

    Adjust the variables in events to appear nicely in the treeview.
    
    Strip newlines from value of the event variables and don't display the complete value if it's too big.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@466 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        |  8 ++++++
 src/universal-cp-eventtreeview.c | 55 ++++++++++++++++++++++++++++++++++++----
 2 files changed, 58 insertions(+), 5 deletions(-)

commit 464f23e7516e28e065e8b2469a2af3be2a3cf326
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 14 13:21:29 2007 +0000

    Shrink the action dialog each time after removing the argument widgets.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@465 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                       | 6 ++++++
 src/universal-cp-actiondialog.c | 3 +++
 2 files changed, 9 insertions(+)

commit bd91ca1f04e92e8dc98dc907694c3e98577b14e2
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 14 13:21:21 2007 +0000

    Don't let the event treeview scroll-down.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@464 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        |  6 ++++++
 src/universal-cp-eventtreeview.c | 19 +++++++++++++++++--
 2 files changed, 23 insertions(+), 2 deletions(-)

commit 92a2f054a661adc328176fcab9add07ecc424232
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 13 09:07:36 2007 +0000

    Icons update from Lapo Calamandrei.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@463 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                           |   7 +++++++
 src/pixmaps/upnp-service.png        | Bin 995 -> 653 bytes
 src/pixmaps/upnp-state-variable.png | Bin 482 -> 567 bytes
 3 files changed, 7 insertions(+)

commit cb94fde9e8a024ef2cb65a8bd83ea43d73af7b71
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 13 09:07:29 2007 +0000

    Only update an out argument textview if there is any text to put there.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@462 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                       |  6 ++++++
 src/universal-cp-actiondialog.c | 15 +++++++++------
 2 files changed, 15 insertions(+), 6 deletions(-)

commit f454feaef88abb9eb0b9d71b377c539140149982
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 12 19:39:12 2007 +0000

    Remove unneeded icons.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@461 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    |   8 ++++++++
 src/pixmaps/Makefile.am      |   4 +---
 src/pixmaps/upnp-action.png  | Bin 1488 -> 0 bytes
 src/pixmaps/upnp-network.png | Bin 953 -> 0 bytes
 4 files changed, 9 insertions(+), 3 deletions(-)

commit b217c80d5783cc41cfe4d846af686132d12709c5
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 12 19:39:05 2007 +0000

    Get the action icon from the gtk stock and clean-up the code for loading pixbuf from gtk stock icons.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@460 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                |  8 ++++++++
 src/universal-cp-icons.c | 33 +++++++++++++++------------------
 src/universal-cp-icons.h |  2 +-
 3 files changed, 24 insertions(+), 19 deletions(-)

commit 0993018eb46f967bfe9228954cb26bb42ba5aa40
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 12 19:38:58 2007 +0000

    Get the network icon from the gtk stock and put the code for loading pixbuf from stock into a separate function.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@459 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                |  8 ++++++++
 src/universal-cp-icons.c | 53 ++++++++++++++++++++++++++++++++----------------
 src/universal-cp-icons.h |  2 +-
 3 files changed, 45 insertions(+), 18 deletions(-)

commit 1a202166bbf3ce25039ffe48337445ca76a11fea
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 12 19:38:52 2007 +0000

    Icon update from Lapo Calamandrei.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@458 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                   |   6 ++++++
 src/pixmaps/upnp-device.png | Bin 624 -> 428 bytes
 2 files changed, 6 insertions(+)

commit e8def4b210fcbe90ee28f2f3df4c80067cef7cc8
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 12 18:12:04 2007 +0000

    Display a message in the device treeview instead of a warning on the console when introspection is not available for a service.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@457 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         |  9 +++++++++
 src/universal-cp-devicetreeview.c | 42 ++++++++++++++++++---------------------
 src/universal-cp-icons.c          | 22 +++++++++++++++++---
 src/universal-cp-icons.h          |  1 +
 4 files changed, 48 insertions(+), 26 deletions(-)

commit a03584aa716d10e59a318815bf3bd721da5794d0
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 12 18:11:56 2007 +0000

    No need to pass glade_xml file to init_icons().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@456 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 8 ++++++++
 src/universal-cp-gui.c   | 2 +-
 src/universal-cp-icons.c | 2 +-
 src/universal-cp-icons.h | 2 +-
 4 files changed, 11 insertions(+), 3 deletions(-)

commit f61046dd449a0df306a7f3d2413036bb6cbb1b8e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 11 20:52:43 2007 +0000

    Remove the unneeded usage of G_OBJECT() macro.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@455 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         | 10 ++++++++++
 src/universal-cp-actiondialog.c   |  6 +++---
 src/universal-cp-devicetreeview.c | 22 +++++++++++-----------
 src/universal-cp-eventtreeview.c  |  4 ++--
 src/universal-cp-gui.c            |  8 ++++----
 5 files changed, 30 insertions(+), 20 deletions(-)

commit 09718caead61ba4511060415e476829979c2eaec
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 11 20:52:36 2007 +0000

    Fix some ref leaks and a small stylistic change.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@454 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         | 7 +++++++
 src/universal-cp-actiondialog.c   | 4 ++++
 src/universal-cp-devicetreeview.c | 7 +++++--
 3 files changed, 16 insertions(+), 2 deletions(-)

commit 89dc651abbcee3438d72b2bb980b737a76a52cf6
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 11 11:56:29 2007 +0000

    Bugfix: Don't leave out the 'value' when copying the event(s).
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@452 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        |  6 ++++++
 src/universal-cp-eventtreeview.c | 24 ++++++++++++++++--------
 2 files changed, 22 insertions(+), 8 deletions(-)

commit bf7c8fd479cdb1a4e24abc1dbefac572d94fd240
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 11 11:56:13 2007 +0000

    Cleanup: Kill all shared variables between modules.
    
    Cleanup: No shared global variables between modules and every module communicate with the others through function calls only.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@451 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  18 ++++
 src/universal-cp-actiondialog.c    | 114 ++++++++++++++----------
 src/universal-cp-actiondialog.h    |   2 +-
 src/universal-cp-detailstreeview.c |  51 ++++++-----
 src/universal-cp-detailstreeview.h |   4 +-
 src/universal-cp-devicetreeview.c  | 173 ++++++++++++++++---------------------
 src/universal-cp-devicetreeview.h  |  10 +--
 src/universal-cp-eventtreeview.c   |  61 ++++++-------
 src/universal-cp-eventtreeview.h   |   4 +-
 src/universal-cp-gui.c             |  39 +--------
 src/universal-cp-gui.h             |   2 -
 src/universal-cp-icons.c           |  28 +++---
 src/universal-cp-icons.h           |  10 ++-
 13 files changed, 245 insertions(+), 271 deletions(-)

commit 7f1cee47323e5486f59c542e8c9f0e2781328f95
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 10 15:29:20 2007 +0000

    Add 'upnp-' prefix to all universal-cp icons.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@448 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                            |  19 +++++++++++++++++++
 src/pixmaps/Makefile.am              |  16 ++++++++--------
 src/pixmaps/action.png               | Bin 1488 -> 0 bytes
 src/pixmaps/device.png               | Bin 624 -> 0 bytes
 src/pixmaps/network.png              | Bin 953 -> 0 bytes
 src/pixmaps/service.png              | Bin 995 -> 0 bytes
 src/pixmaps/state-variable.png       | Bin 482 -> 0 bytes
 src/pixmaps/state-variables.png      | Bin 680 -> 0 bytes
 src/pixmaps/upnp-action.png          | Bin 0 -> 1488 bytes
 src/pixmaps/upnp-device.png          | Bin 0 -> 624 bytes
 src/pixmaps/upnp-network.png         | Bin 0 -> 953 bytes
 src/pixmaps/upnp-service.png         | Bin 0 -> 995 bytes
 src/pixmaps/upnp-state-variable.png  | Bin 0 -> 482 bytes
 src/pixmaps/upnp-state-variables.png | Bin 0 -> 680 bytes
 src/universal-cp-icons.c             |  14 +++++++-------
 15 files changed, 34 insertions(+), 15 deletions(-)

commit 2ced4af5082bc18d50b0968b2f5403a3d9f1f799
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Mon Sep 10 15:29:09 2007 +0000

    Rename "UPnP Devices" to "UPnP Network" everwhere.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@447 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         |  11 +++++++++++
 src/pixmaps/Makefile.am           |   2 +-
 src/pixmaps/devices.png           | Bin 953 -> 0 bytes
 src/pixmaps/network.png           | Bin 0 -> 953 bytes
 src/universal-cp-devicetreeview.c |   8 ++++----
 src/universal-cp-icons.c          |   2 +-
 src/universal-cp-icons.h          |   2 +-
 7 files changed, 18 insertions(+), 7 deletions(-)

commit a3b1fd7ade6a6227ad03653d7ef15cd1f8d1ce3c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Sep 9 21:02:41 2007 +0000

    Use the id instead of SCPD URL of the service in the warning message.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@446 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         |  6 ++++++
 src/universal-cp-devicetreeview.c | 11 ++++++-----
 2 files changed, 12 insertions(+), 5 deletions(-)

commit 646e16251aca1f922575e03dfefe40a50600bf21
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sun Sep 9 14:00:31 2007 +0000

    Treat the error in the introspection callback as constant.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@445 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         | 6 ++++++
 src/universal-cp-devicetreeview.c | 3 +--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit b4921e7906bfd60c3ffd6066dcb4890d01ab92bc
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Sat Sep 8 23:12:55 2007 +0000

    Retreive the service introspection, asynchronously.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@442 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         |  6 +++
 src/universal-cp-devicetreeview.c | 79 +++++++++++++++++++++++++--------------
 2 files changed, 56 insertions(+), 29 deletions(-)

commit 11f1e8a8a98f57890c0555f531259b123ba5acfc
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 7 14:09:46 2007 +0000

    Add Lapo Calamandrei to AUTHORS file.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@439 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 AUTHORS   | 5 +++++
 ChangeLog | 6 ++++++
 2 files changed, 11 insertions(+)

commit c1a19ea31b57a885294cd87316c49b0f713fc1ea
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 7 14:09:29 2007 +0000

    Polish the about dialog boxes.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@438 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                     | 8 ++++++++
 src/gupnp-network-light.glade | 5 ++++-
 src/gupnp-universal-cp.glade  | 8 ++++++--
 src/network-light-gui.c       | 8 ++++++++
 4 files changed, 26 insertions(+), 3 deletions(-)

commit 469a631a53013b596a7c1a2485970e19bd740667
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 7 14:09:22 2007 +0000

    Clean-up the network-light description document.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@437 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                      | 6 ++++++
 src/xml/network-light-desc.xml | 6 ++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 22f3eda9097942eb22344e913d8c442459cdf36e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Fri Sep 7 14:09:10 2007 +0000

    Don't display model description twice.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@436 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog          | 6 ++++++
 src/universal-cp.c | 2 --
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 4ae990841dc3b1d128220ae1d904d5057f4a4f0c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 21:11:11 2007 +0000

    Put the UPnP code of network-light into a separate module and add network-light.h to build.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@435 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                |  11 ++
 src/Makefile.am          |   5 +-
 src/network-light-gui.c  |   1 +
 src/network-light-upnp.c | 310 +++++++++++++++++++++++++++++++++++++++++++++++
 src/network-light-upnp.h |  38 ++++++
 src/network-light.c      | 277 +-----------------------------------------
 6 files changed, 369 insertions(+), 273 deletions(-)

commit c6eec3cf51102433f608bd66ee3e39cf83b6e892
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 21:11:06 2007 +0000

    notify the clients of the actual load level set, not what is
    requested.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@434 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog           | 7 +++++++
 src/network-light.c | 2 +-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 6abc164fdd4ea89072ba01bca6cf14aea90ce727
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 15:18:55 2007 +0000

    - Move the light status handling back to main module.
    - Notify the clients when the status changes from the UI.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@433 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog               | 10 ++++++++
 src/network-light-gui.c | 44 ++++-------------------------------
 src/network-light-gui.h | 11 +--------
 src/network-light.c     | 62 +++++++++++++++++++++++++++++++++++++++----------
 src/network-light.h     | 38 ++++++++++++++++++++++++++++++
 5 files changed, 103 insertions(+), 62 deletions(-)

commit d7e8e47c5c9ac8711e22b13fa2f40838754b78bd
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 14:27:25 2007 +0000

    Small stylistic change.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@432 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                    | 6 ++++++
 src/gupnp-universal-cp.glade | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit f640f9c007364cc1a36e0076134af12f6c297e94
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 14:27:12 2007 +0000

    Set the selection mode of all treeviews to GTK_SELECTION_SINGLE.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@431 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              | 6 ++++++
 src/universal-cp-gui.c | 5 +++++
 2 files changed, 11 insertions(+)

commit f5ec9626bdfd20d164b6087eb68cff739fbdfafb
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 14:24:29 2007 +0000

    Move remaining device treeview code to the relevent module.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@430 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         |   7 +++
 src/universal-cp-devicetreeview.c | 114 ++++++++++++++++++++++++++++++++++++++
 src/universal-cp-gui.c            | 113 -------------------------------------
 3 files changed, 121 insertions(+), 113 deletions(-)

commit 0296539133af5c43ea744713ebab9a46b51c029e
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 12:21:57 2007 +0000

    Add context menu for, and ability to copy&paste from event treeview.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@429 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                        |   8 ++
 src/gupnp-universal-cp.glade     |  38 +++++++++
 src/universal-cp-eventtreeview.c | 165 +++++++++++++++++++++++++++++++++++++++
 3 files changed, 211 insertions(+)

commit a1357a1cf08de86e5765100d788b3d793a9318c9
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 12:21:43 2007 +0000

    Add context menu for, and ability to copy&paste from details treeview.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@428 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |   8 +++
 src/gupnp-universal-cp.glade       |  23 ++++++
 src/universal-cp-detailstreeview.c | 141 +++++++++++++++++++++++++++++++++++++
 3 files changed, 172 insertions(+)

commit bfe4ef5dfc4fd683ef1c2dcb82136c2469ee1422
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 12:21:33 2007 +0000

    Put details and event treeview handling in separate modules.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@427 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                          |  12 ++++
 src/Makefile.am                    |   4 ++
 src/universal-cp-detailstreeview.c |  63 +++++++++++++++++
 src/universal-cp-detailstreeview.h |  33 +++++++++
 src/universal-cp-eventtreeview.c   | 125 ++++++++++++++++++++++++++++++++++
 src/universal-cp-eventtreeview.h   |  38 +++++++++++
 src/universal-cp-gui.c             | 134 +------------------------------------
 src/universal-cp-gui.h             |   4 +-
 8 files changed, 277 insertions(+), 136 deletions(-)

commit 8213ab3f7427ccf1dc848ed5120601b5a9d811df
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 10:09:25 2007 +0000

    Fix a small build problem.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@426 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              | 6 ++++++
 src/universal-cp-gui.c | 3 +--
 2 files changed, 7 insertions(+), 2 deletions(-)

commit fa145bc67df2578b1a86d444dec13e4213d949bd
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Thu Sep 6 09:53:30 2007 +0000

    subscribe to events after settting the notify callbacks.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@425 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         | 6 ++++++
 src/universal-cp-devicetreeview.c | 8 ++++----
 2 files changed, 10 insertions(+), 4 deletions(-)

commit a16327f53a34087d13e6ec0dd1989bbb1915119b
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 21:01:40 2007 +0000

    Prepend rather than append the events to the event log treeview.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@424 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              |  6 ++++++
 src/universal-cp-gui.c | 18 ++++++++++--------
 2 files changed, 16 insertions(+), 8 deletions(-)

commit 3b36f2fbdd8b8b272e98a5326843236b6ef50d1c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 21:01:34 2007 +0000

    Double-click on a service row, inverts the subscription status to that
    service.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@423 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog              |  7 +++++++
 src/universal-cp-gui.c | 24 ++++++++++++++++++------
 2 files changed, 25 insertions(+), 6 deletions(-)

commit fa18117cbccc0c16cd04e61e2c02e1ad7ab985f1
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 21:01:26 2007 +0000

    Rename the device treeview row activation signal handler.
    
    Rename the device treeview row activation signal handler so it doesn't
    look bad when we use the same handler for service subscription and
    move it to -gui module.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@422 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                       | 11 +++++++++++
 src/gupnp-universal-cp.glade    |  4 ++--
 src/universal-cp-actiondialog.c | 23 ++++++++---------------
 src/universal-cp-actiondialog.h |  4 ++++
 src/universal-cp-gui.c          | 17 +++++++++++++++++
 5 files changed, 42 insertions(+), 17 deletions(-)

commit e4d3edb4949eb690bd8f0d29e01b17c70922139c
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 21:01:21 2007 +0000

    services are subscribed to, by default.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@421 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                         | 6 ++++++
 src/universal-cp-devicetreeview.c | 4 ++++
 2 files changed, 10 insertions(+)

commit 035d229f97a69f2e30acc7f229981175a85821b4
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 18:05:38 2007 +0000

    Only host the dir where the description doc is found.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@420 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog           |  6 ++++++
 src/network-light.c | 14 +++++++-------
 2 files changed, 13 insertions(+), 7 deletions(-)

commit ce693b41b73a430f8f0d2c00ace11ea716812810
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 18:05:33 2007 +0000

    Make xml dir part of the build.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@419 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog       | 6 ++++++
 src/Makefile.am | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit a15463431ccbbd6c39b72642639970d74d6f62a4
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 17:42:52 2007 +0000

    Fix a small oops.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@418 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog               | 6 ++++++
 src/network-light-gui.c | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 7fdbc85bace880c07c2bbd8bfb059cdd32114851
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 15:31:28 2007 +0000

    Simplify code using the power of gupnp_service_signals_autoconnect().
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@416 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog           |   6 +++
 src/network-light.c | 103 ++++++++++++++++++++++------------------------------
 2 files changed, 49 insertions(+), 60 deletions(-)

commit e56eaa6042adce692a2602565e8e8fdbeae7b97d
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 14:47:28 2007 +0000

    Cleaner code for loading pixbufs in network-light.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@415 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog               |  6 +++++
 src/network-light-gui.c | 70 ++++++++++++++++++++++++-------------------------
 2 files changed, 40 insertions(+), 36 deletions(-)

commit 41e04aacb6c4f418100f5c6761d9c4ca4114b882
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 14:47:21 2007 +0000

    Add network-light icon to build.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@414 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog               | 6 ++++++
 src/pixmaps/Makefile.am | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 7bae53f7907b32ceacd7bffd1719773685fe0840
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 14:47:02 2007 +0000

    Add icon for window decorations and clients.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@413 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                      |   8 +++++++
 src/network-light-gui.c        |  46 ++++++++++++++++++++++++++++++++++-------
 src/pixmaps/network-light.png  | Bin 0 -> 58772 bytes
 src/xml/network-light-desc.xml |   6 +++---
 4 files changed, 50 insertions(+), 10 deletions(-)

commit 719fa1f92e0b26e71f606115296d6cab1d0f01ee
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Wed Sep 5 09:07:19 2007 +0000

    Install the xml files too and make network-light be able to run
    installed.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@412 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                | 20 ++++++++++++++++++++
 configure.ac             |  1 +
 src/Makefile.am          |  8 ++++----
 src/network-light-gui.c  | 22 +++++++++++++++-------
 src/network-light.c      | 21 ++++++++++++++++-----
 src/universal-cp-gui.c   |  2 +-
 src/universal-cp-icons.c |  2 +-
 src/xml/Makefile.am      |  9 +++++++++
 8 files changed, 67 insertions(+), 18 deletions(-)

commit e881f474225fd298633ef6d05258487413a83728
Author: Matthew Allum <mallum@openedhand.com>
Date:   Tue Sep 4 22:29:42 2007 +0000

    2007-09-04  Matthew Allum  <mallum@openedhand.com>
    
            * src/network-light-gui.c:
    
            Get light images from installed dir rather than local source dir.
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@411 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog               | 6 ++++++
 src/network-light-gui.c | 4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 5a9687972c94fcd43b75cc474218d14bbbaeb4e4
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 4 21:18:40 2007 +0000

    Preserve the aspect-ratio of the original image.
    
    
    git-svn-id: https://svn.o-hand.com/repos/gupnp/trunk/gupnp-tools@410 d8cb91d7-bff9-0310-92b9-80b65e4482b2

 ChangeLog                |  6 ++++++
 src/universal-cp-icons.c | 14 +++++++++++---
 2 files changed, 17 insertions(+), 3 deletions(-)

commit 214d82fb7291bfc91bf0772f3b4cb9ed952a0033
Author: Zeeshan Ali <zeenix@gmail.com>
Date:   Tue Sep 4 21:18:35 2007 +0000

    Use icon types rather than icons to identify the treeview rows.
    
    
